VERSION 5.00
Begin VB.Form AuxForm 
   Caption         =   "HAMMAP"
   ClientHeight    =   4020
   ClientLeft      =   5085
   ClientTop       =   2805
   ClientWidth     =   2400
   ControlBox      =   0   'False
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "AUXFRM_W.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MDIChild        =   -1  'True
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   4020
   ScaleWidth      =   2400
   Begin VB.ListBox AuxList 
      Appearance      =   0  'Flat
      Height          =   2370
      Left            =   240
      TabIndex        =   1
      Top             =   1200
      Width           =   1815
   End
   Begin VB.Label ListLabel 
      Height          =   255
      Left            =   240
      TabIndex        =   2
      Top             =   960
      Width           =   1815
   End
   Begin VB.Label Selection 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   1815
   End
End

Attribute VB_Name = "AuxForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
DefInt A-Z

Dim TxtH As Single

Private Sub AuxList_KeyPress(KeyAscii As Integer)

  i = AuxForm.AuxList.ListIndex + 1

  If i > 0 Then

    Call PrepareFunction(True, 0)

    If HV.FoundMode <> 2 Then
      FndNr = i
    Else
      FndNr = HV.AnzFound - i + 1
    End If

    Select Case KeyAscii
    Case 13
      void = SelectStation(StnFnd(FndNr).StnRec, True)

    Case 32
      If HV.FoundMode < 3 Then
        '--- Stations-Info anzeigen ---
        Call ShowStationInfo(2, FndNr)
      Else
        '--- Link-Info anzeigen ---
        Call ShowLinkInfo(FndNr)
      End If

    End Select

    Call TerminateFunction(0, 0&)

  End If

End Sub

Private Sub AuxList_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)

  'Avoid Int() error - see VBPJ Nov.96, Page 56
  fi! = y / TxtH
  i = Int(fi!) + AuxList.TopIndex + 1

  If i <= HV.AnzFound Then

    Call PrepareFunction(True, 0)

    If HV.FoundMode <> 2 Then
      FndNr = i
    Else
      FndNr = HV.AnzFound - i + 1
    End If

    Select Case Button
    Case 1
      void = SelectStation(StnFnd(FndNr).StnRec, True)

    Case 2
      If HV.FoundMode < 3 Then
        '--- Stations-Info anzeigen ---
        Call ShowStationInfo(2, FndNr)
      Else
        '--- Link-Info anzeigen ---
        Call ShowLinkInfo(FndNr)
      End If

    End Select

    Call TerminateFunction(0, 0&)

  End If

End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)

  Call MapFormKeyDown(KeyCode, Shift)

End Sub

Private Sub Form_KeyPress(KeyAscii As Integer)

  Call WinFormKeys(KeyAscii)

End Sub

Private Sub Form_Load()

  AuxForm.Selection.BackColor = &H80000005

  AuxForm.FontName = AuxList.FontName
  AuxForm.FontSize = AuxList.FontSize
  TxtH = AuxForm.TextHeight("X")

End Sub

Private Sub Form_Resize()

  Call AuxFormResize

End Sub

Private Sub Selection_Click()

  Call PrepareFunction(True, 0)

  '--- Info fuer selektierte Station ---
  If HV.SelStnRec > 0 Then
    Call ShowStationInfo(2, 0)
  End If

  Call TerminateFunction(0, 0&)

End Sub

