VERSION 5.00
Begin VB.Form ColorForm 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "ColorForm"
   ClientHeight    =   4590
   ClientLeft      =   1050
   ClientTop       =   1875
   ClientWidth     =   5895
   ControlBox      =   0   'False
   FillStyle       =   0  'Solid
   BeginProperty Font 
      Name            =   "Courier New"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   Picture         =   "COLOR_W.frx":0000
   ScaleHeight     =   4590
   ScaleWidth      =   5895
   Begin VB.CommandButton HelpCmd 
      Caption         =   "Help"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   4320
      TabIndex        =   5
      Top             =   3840
      Width           =   1215
   End
   Begin VB.CommandButton ColorCmd 
      Caption         =   "Color..."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   4320
      TabIndex        =   4
      Top             =   1680
      Width           =   1215
   End
   Begin VB.CommandButton DefaultCmd 
      Caption         =   "Default"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   4320
      TabIndex        =   3
      Top             =   2400
      Width           =   1215
   End
   Begin VB.CommandButton MapCmd 
      Caption         =   "Map"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   4320
      TabIndex        =   2
      Top             =   3120
      Width           =   1215
   End
   Begin VB.CommandButton Cmd 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Index           =   1
      Left            =   4320
      TabIndex        =   1
      Top             =   960
      Width           =   1215
   End
   Begin VB.CommandButton Cmd 
      Caption         =   "Ok"
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Index           =   0
      Left            =   4320
      TabIndex        =   0
      Top             =   240
      Width           =   1215
   End
End

Attribute VB_Name = "ColorForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
DefInt A-Z

Dim ModColNr
Dim ModColFlag

Private Sub Cmd_Click(Index As Integer)

  ColorForm.Tag = Str$(Index)
  ColorCmd.Tag = Str$(ModColFlag)

  ColorForm.Hide

End Sub

Private Sub ColorCmd_Click()

  Cancel = GetInput(ProgName$, Msg$(19224), "", InpLine$)
  If Cancel Then Exit Sub

  ModColNr = Val(InpLine$)

  If ModColNr >= 0 And ModColNr <= 15 Then
    Call GetNewColor
  Else
    MsgBox Msg$(24010) & Str$(ModColNr)
  End If

End Sub

Private Sub DefaultCmd_Click()

  '--- Standard Farben einstellen ---
  For i = 0 To 15
    HV.ColVal(i) = HV.DefCol(i)
  Next i

  Call ShowColors

End Sub

Private Sub Form_Click()

 Call GetNewColor

End Sub

Private Sub Form_DblClick()

  Call GetNewColor

End Sub

Private Sub Form_Load()

  ModColFlag = 0

End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)

  '-- Farbe bestimmen ---
  ModColNr = -1

  If Button = 1 Then
    If x < 200 Or x > 700 Then Exit Sub
    If y < 240 Then Exit Sub
    y1 = y - 240
    If y1 Mod 255 > 195 Then Exit Sub
    y1 = y1 \ 255
    If y1 >= 0 And y1 <= 15 Then ModColNr = y1
  End If

End Sub

Private Sub Form_Paint()

  Call ShowColors

End Sub

Sub GetNewColor()

  If ModColNr >= 0 And ModColNr <= 15 Then

    '--- Farbe waehlen ---
    OldColor& = HV.ColVal(ModColNr)
    HV.ColVal(ModColNr) = ctlSelectColor(FileSpecForm.CmDlg, OldColor&)

    If HV.ColVal(ModColNr) <> OldColNr& Then
      '--- Farbe geaendert ---
      Call ShowColors
      ModColFlag = 1
    End If

  End If

End Sub

Private Sub HelpCmd_Click()

  void = ShowHelp("HAMMAP-Color")

End Sub

Private Sub MapCmd_Click()

  '--- Karte neu ausgeben (im Hintergrund) ---
  SavePar& = NumPar(46).Actual
  NumPar(46).Actual = NumPar(46).Actual Or MF_BackGnd

  Call NewMap

  NumPar(46).Actual = SavePar&

  If ModColFlag = 1 Then ModColFlag = 2

End Sub

Private Sub ShowColors()

  For i = 0 To 15
    y = 240 + 255 * i
    ColorForm.FillColor = HV.ColVal(i)
    ColorForm.Line (200, y)-(700, y + 195), , B

    ColorForm.CurrentX = 960
    ColorForm.CurrentY = y
    ColorForm.Print Format$(i) + " = " + Msg$(19200 + i)
  Next i

End Sub

