Attribute VB_Name = "CtlLib"
DefInt A-Z

Sub AddMsgItems(Ctl As Control, ByVal MsgNr As Long, ByVal Default As Long)

  '"Ctl As ComboBox" not possible in VBDOS

  With Ctl
    Call SetMsgMode(1)

    Do
      m$ = Msg$(MsgNr)
      If Len(m$) = 0 Then Exit Do
      .AddItem m$
      MsgNr = MsgNr + 1
    Loop

    Call SetMsgMode(0)

    If Default >= 0 Then
      Save = GV.ProgChange
      GV.ProgChange = True
      On Error Resume Next
      .ListIndex = Default
      If Err Then .ListIndex = 0
      On Error GoTo 0
      GV.ProgChange = Save
    End If

  End With

End Sub

Sub AddStrItems(Ctl As Control, ByVal s$, ByVal Default$)

  '"Ctl As ComboBox" not possible in VBDOS

  With Ctl

    If InStr(s$, "|") Then Sep$ = "|" Else Sep$ = ","

    Do Until Len(s$) = 0
      .AddItem Parse$(s$, Sep$)
    Loop

    If Len(Default$) > 0 Then
      Save = GV.ProgChange
      GV.ProgChange = True
      Call SetComboText(Ctl, Default$)
      GV.ProgChange = Save
    End If

  End With

End Sub

Sub CenterForm(Frm As Form)

  'In Win95/VB5 this Sub may cause problems if Frm is not loaded !!!
  If Frm.WindowState = 0 Then     'Window

    x = (Screen.Width - Frm.Width) \ 2
    y = (Screen.Height - Frm.Height + 1) \ 2
    Frm.Move x, y

  End If

End Sub

Function ctlSelectColor(CmDlg As CommonDialog, OldColor&) As Long

  With CmDlg
    .CancelError = True
    .Color = OldColor&
    .Flags = &H1&

    On Local Error Resume Next
    .Action = 3
    ctlSelectColor = OldColor&
    ErrNr = Err
    On Local Error GoTo 0

    If ErrNr = 0 Then
      'kein Abbruch
      ctlSelectColor = .Color
    End If
  End With

End Function

Function ctlSelectFont(Flg&, CmDlg As CommonDialog, Ctl As Control, Cancel) As Long

  'Flg&: &H10401 CRT-Font, no Symbol-Only Fonts, Font must exist

  '----- Schriftart auswhlen -----
  With CmDlg
    .CancelError = True

    .Flags = Flg&

    'If FntName = "MS Sans Serif" Then FntName = "Helv"
    'If FntName = "MS Serif" Then FntName = "Tms Rmn"
    .FontName = Ctl.FontName
    .FontSize = Ctl.FontSize
    .FontBold = Ctl.FontBold
    .FontItalic = Ctl.FontItalic

    On Error Resume Next
    .Action = 4
    Cancel = Err <> 0
    On Error GoTo 0

    If Not Cancel Then
      On Error Resume Next
      Ctl.FontName = .FontName
      Ctl.FontSize = .FontSize
      Ctl.FontBold = .FontBold
      Ctl.FontItalic = .FontItalic
      ctlSelectFont = Err
      On Error GoTo 0
    End If

  End With

End Function

Sub SetComboText(Ctl As Control, ByVal t$)

  With Ctl
    Select Case .Style
    Case 0    'Dropdown-Combo
      .text = t$

    Case 2    'Dropdown-List
      For i = 0 To .ListCount - 1
        If Trim$(.List(i)) = t$ Then .ListIndex = i
      Next i
    End Select

  End With

End Sub

Sub SetMenuItem(Ctl As Control, m$)

  Ctl.Visible = IsMessageActive(m$)

  Ctl.Caption = m$

End Sub

