Attribute VB_Name = "DiskUpdate"
DefInt A-Z


Dim AnzItem()
Dim Item$()

Sub Main()

  CRLF$ = Chr$(13) + Chr$(10)

  SrcDir$ = Command$

  If Len(SrcDir$) = 0 Then
    If ExistUpdFile("A:\*.*") Then
      SrcDir$ = "A:"
    ElseIf ExistUpdFile("B:\*.*") Then
      SrcDir$ = "B:"
    Else
      Call ShowErr("Laufwerk A: nicht betriebsbereit")
    End If
  Else
    If Right$(SrcDir$, 1) = "\" Then
      SrcDir$ = Left$(ScrDir$, Len(SrcDir$) - 1)
    End If
  End If

  If Len(SrcDir$) > 0 Then

    Prg$ = SrcDir$ & "\DSKUPD.EXE"
    If Not ExistUpdFile(Prg$) Then
      Prg$ = SrcDir$ & "\DSKUPD.BAT"
      If Not ExistUpdFile(Prg$) Then
        Call ShowErr("Update-Programm nicht gefunden:" + CRLF$ + Prg$)
        Prg$ = ""
      End If
    End If

    If Len(Prg$) > 0 Then
      Call PerformDiskUpdate(Prg$, SrcDir$)
    End If

  End If

End Sub

Function ExistUpdFile(f$)

  On Error Resume Next
  l$ = Dir$(f$)
  ErrNr = Err
  On Error GoTo 0

  ExistUpdFile = ErrNr = 0 And Len(l$) > 0

End Function

Function Msg$(ByVal MsgNr As Long)

  'Dummy Subroutine for GetGystemInfo
  Stop

End Function

Sub PerformDiskUpdate(Prg$, SrcDir$)

  DstDir$ = AddBackSlash$(AppPath$())

  'Start befor "\" at end and go left to find second"\" from right
  For i = Len(DstDir$) - 1 To 1 Step -1
    If Mid$(DstDir$, i, 1) = "\" Then
      DstDir$ = Left$(DstDir$, i - 1)
      Exit For
    End If
  Next i

  If Mid$(DstDir$, 2, 1) = ":" Then DstDrv$ = Left$(DstDir$, 2)

  PlatForm$ = "WIN32"
  DstDir$ = """" & DstDir$ & """"

  'SrcDir$ und DstDir$ habe kein "\" am Ende
  m$ = Prg$ + " " + SrcDir$ + " " + DstDir$ + " " + PlatForm$
  m$ = m$ + " " + MajorVer$ + " " + MinorVer$ + " " + DstDrv$

  void& = Shell(m$, 1)

End Sub

Sub ShowErr(m$)


  MsgBox m$, , "HAMMAP Disk Update"


End Sub

