VERSION 5.00
Begin VB.Form HamDist 
   Caption         =   "HAMDIST"
   ClientHeight    =   3255
   ClientLeft      =   3165
   ClientTop       =   3660
   ClientWidth     =   4740
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "HAMDST_F.frx":0000
   LinkMode        =   1  'Source
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   3255
   ScaleWidth      =   4740
   Begin VB.CommandButton CoordCmd 
      Caption         =   ""
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Index           =   2
      Left            =   4320
      TabIndex        =   3
      Top             =   960
      Width           =   255
   End
   Begin VB.CommandButton CoordCmd 
      Caption         =   ""
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Index           =   1
      Left            =   4320
      TabIndex        =   2
      Top             =   360
      Width           =   255
   End
   Begin VB.TextBox AngleField 
      Height          =   285
      Index           =   2
      Left            =   2400
      TabIndex        =   11
      TabStop         =   0   'False
      Top             =   2760
      Width           =   1695
   End
   Begin VB.Frame MenuSep 
      Height          =   150
      Left            =   120
      TabIndex        =   10
      Top             =   0
      Visible         =   0   'False
      Width           =   4575
   End
   Begin VB.TextBox DistField 
      Height          =   285
      Left            =   2400
      TabIndex        =   9
      TabStop         =   0   'False
      Top             =   1560
      Width           =   1695
   End
   Begin VB.TextBox QthField 
      Height          =   285
      Index           =   1
      Left            =   2400
      TabIndex        =   0
      Top             =   360
      Width           =   1695
   End
   Begin VB.TextBox QthField 
      Height          =   285
      Index           =   2
      Left            =   2400
      TabIndex        =   1
      Top             =   960
      Width           =   1695
   End
   Begin VB.TextBox AngleField 
      Height          =   285
      Index           =   1
      Left            =   2400
      TabIndex        =   5
      TabStop         =   0   'False
      Top             =   2160
      Width           =   1695
   End
   Begin VB.Label FieldLabel 
      Caption         =   "Antennenrichtung 2"
      Height          =   255
      Index           =   4
      Left            =   240
      TabIndex        =   12
      Top             =   2760
      Width           =   2055
   End
   Begin VB.Label FieldLabel 
      Caption         =   "Locator QTH1"
      Height          =   255
      Index           =   0
      Left            =   240
      TabIndex        =   4
      Top             =   360
      Width           =   1335
   End
   Begin VB.Label FieldLabel 
      Caption         =   "Locator QTH2"
      Height          =   255
      Index           =   1
      Left            =   240
      TabIndex        =   6
      Top             =   960
      Width           =   1455
   End
   Begin VB.Label FieldLabel 
      Caption         =   "Entfernung"
      Height          =   255
      Index           =   2
      Left            =   240
      TabIndex        =   7
      Top             =   1560
      Width           =   1335
   End
   Begin VB.Label FieldLabel 
      Caption         =   "Antennenrichtung 1"
      Height          =   255
      Index           =   3
      Left            =   240
      TabIndex        =   8
      Top             =   2160
      Width           =   2055
   End
   Begin VB.Menu mnuMain 
      Caption         =   "&Datei"
      Index           =   0
      Begin VB.Menu pdmnuFile 
         Caption         =   "&Beenden"
         Index           =   0
      End
   End
   Begin VB.Menu mnuMain 
      Caption         =   "&Extras"
      Index           =   1
      Begin VB.Menu pdmnuExtras 
         Caption         =   "&Einstellungen..."
         Index           =   0
      End
   End
   Begin VB.Menu mnuMain 
      Caption         =   "?"
      Index           =   2
      Begin VB.Menu pdmnuInfo 
         Caption         =   "&Hilfe..."
         Index           =   0
      End
      Begin VB.Menu pdmnuInfo 
         Caption         =   "&ber..."
         Index           =   1
      End
   End
End

Attribute VB_Name = "HamDist"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'------------ HAMDIST ---------------
'von Gerhard Berg, DJ6FM

DefInt A-Z


Private Sub CoordCmd_Click(Index As Integer)

  Call EnterCoord(Index)

End Sub

Private Sub Form_Load()

  Call InitHamDist

End Sub

Private Sub Form_Resize()

  'Men-Separator fr Windows95 - 3D
  MenuSep.Move 0, 0, HamDist.ScaleWidth, 50
  MenuSep.Visible = True

End Sub

Private Sub Form_Unload(Cancel As Integer)

  If Not GV.ProgUnload Then Call AppQuit

End Sub

Private Sub pdmnuExtras_Click(Index As Integer)

  Call ExtrasFunctions(Index)

End Sub

Private Sub pdmnuFile_Click(Index As Integer)

  Call FileFunctions(Index)

End Sub

Private Sub pdmnuInfo_Click(Index As Integer)

  Call InfoFunctions(Index)

End Sub

Private Sub QthField_Change(Index As Integer)

  Call Calculate

End Sub

Private Sub QthField_GotFocus(Index As Integer)

  QthField(Index).SelStart = 0
  QthField(Index).SelLength = 32767

End Sub

Private Sub QthField_KeyPress(Index As Integer, KeyAscii As Integer)

  If KeyAscii < 32 Then Exit Sub

  KeyAscii = Asc(UCase$(Chr$(KeyAscii)))
  l = QthField(Index).SelStart \ 2 + 1

  If l > Len(QthMinChr$) Then
    KeyAscii = 0
  Else
    MinCh = Asc(Mid$(QthMinChr$, l, 1))
    MaxCh = Asc(Mid$(QthMaxChr$, l, 1))
    If KeyAscii < MinCh Or KeyAscii > MaxCh Then KeyAscii = 0
  End If

  If KeyAscii = 0 Then Beep

End Sub

