Attribute VB_Name = "HMDATA"
'----------------------- HMDATA_I.BAS ----------------------------------

  'HAMMAP Globale Datendefinitionen

  DefInt A-Z

Public Const MaxSegType = 26

'Constants for Map-Functions (Numpar(46).Actual)
Public Const MF_AutoMap = 1&          'Kartendatei automatisch whlen
Public Const MF_HiRes = 2&            '... dabei hohe Kartengenauigkeit
Public Const MF_BitMap = 4&           'Karte aus Bitmap-Datei
Public Const MF_AutoArea = 8&         'Ausschnitt automatisch anpassen
Public Const MF_IncrArea = &H10&      '... dabei Ausschnitt erweitern
Public Const MF_AutoDetail = &H20&    'Kartendetails automatisch
Public Const MF_CrtProp = &H40&       'Karte unverzerrt (Bildschirm)
Public Const MF_PrtProp = &H80&       'Karte unverzerrt fr Drucker
Public Const MF_ZoomCorr = &H100&      'Ausschnittsrahmen korrigierbar
Public Const MF_AutoAct = &H200&      'Karte immer aktualisieren
Public Const MF_BackGnd = &H400&      'Kartenausgabe im Hintergrund (nur Win)
Public Const MF_OldMeta = &H800&      'Altes Metafile-Format



  '------------------- Variablen --------------------
  Public gblMapRecFile                    'Map Recorder File-Nr.
  Public gblMapRecType As String          'Map Recorder Segment Type
  Public gblMapRecComment As String

  Public Dib As DibType


  '--- HAMMAP-Variablen ---
  Public HV As HammapVar

  Public gblTipInfo$
  Public gblStoreMessage$

  Public ForeOverlay$
  Public BackOverlay$
  Public OverlayInfo$


  '--- Devices ---
  Public HMCrt As HMDevice
  Public HMPrt As HMDevice

  '--- Kartenbereiche ---
  Public Area() As lAreaLimits            'vordefinierte Breiche


  '----------------- Stationsdaten ------------------

  '--- Selektierte Station ---
  Public SelStnData As StationData                'Stationsdaten
  Public SelStnCall As String                     'Call
  Public SelQTH As String                         'QTH
  Public SelInfo As String                        'Info

  '--- Selektierter Link ---
  Public SelLnkData As LinkData                   'Link-Daten
  Public SelDstCall As String                     'Destination Call

  'Array fuer Digis im rechten Ausschnitt
  Public StnFnd() As FoundType

  '--- Array fuer Stations-Typ ---
  Public StnSym() As StationSymbol

  '--- Array fuer Router ---
  Public StnRoute() As StationRoute

  '--- Arrays fr Hit-Test ---
  Public CrtHits() As Long
  Public SaveCrtHits() As Long
  Public PrtHits() As Long


  '--- Kartendatei-Info ---
  Public VectorFileName() As String

  Type VectorFileInfoType
    Size As Long
    Area As lAreaType
    SegMask As Long
    Res As Long
  End Type

  Public VectorFileInfo() As VectorFileInfoType


  Public BitmapFileName() As String

  Type BitmapFileInfoType
    Size As Long
    Area As lAreaType
    degArea As degAreaType
    Border As RECT
  End Type

  Public BitmapFileInfo() As BitmapFileInfoType

