Attribute VB_Name = "Hmdb_w"
DefInt A-Z
Option Explicit

Public Const HasDBModule = True

Dim DB As Database
Dim DBavailable
Dim DBisOpen

Dim ds As Recordset                 'Recordset

Function CloseDB()

  On Error Resume Next

  'Dynaset und Datenbank schlieen, falls offen
  If Not ds Is Nothing Then
    ds.Close
    Set ds = Nothing
  End If

  If Not DB Is Nothing Then
    DB.Close
    Set DB = Nothing
  End If

  On Error GoTo 0

End Function

Function GetDBInfo$(SQL$, Result)

  Dim ErrNr
  Dim i, l$, m$

  If DB Is Nothing Then
    'keine Datenbank
    GetDBInfo$ = Msg$(19661)
    Result = -1
  Else
    On Error Resume Next
    Set ds = DB.OpenRecordset(SQL, dbOpenDynaset)
    ErrNr = Err
    On Error GoTo 0
    If ErrNr Then
      'Datenbank-Fehler
      GetDBInfo$ = Msg$(19662)
      Result = -1
    Else
      If ds.RecordCount = 0 Then
        GetDBInfo$ = ""
        Result = 0
      Else
        m$ = ""
        ds.MoveFirst
        Do Until ds.EOF
          l$ = ""
          For i = 1 To ds.Fields.Count
            If Not IsNull(ds.Fields(i - 1).Value) Then
              l$ = l$ & "," & ds.Fields(i - 1).Value
            End If
          Next i
          If Len(l$) > 0 Then m$ = m$ & Mid$(l$, 2) & vbCrLf
          ds.MoveNext
        Loop
        If Len(m$) > 0 Then GetDBInfo$ = Left$(m$, Len(m$) - 2)
        Result = 1
      End If
    End If

    On Error Resume Next
    ds.Close
    Set ds = Nothing
    On Error GoTo 0

  End If

End Function

Function OpenDB()

  Dim Exist, ErrNr
  Dim f$

  If DBisOpen Then Exit Function

  DBisOpen = True

  '--- Open Database (Exclusive, not Read-Only) ---
  f$ = HomeDir$ & "DB32\LOCATOR.MDB"
  ErrNr = ExistFile(f$, True, Exist)
  If ErrNr = 0 Then
    On Error Resume Next
    'nicht exclusiv, schreibgeschtzt
    Set DB = OpenDatabase(f$, False, True)
    ErrNr = Err
    On Error GoTo 0

    If ErrNr Then Call ShowErrNrFileTxt(19660, f$)
  End If

  OpenDB = ErrNr

End Function

