Attribute VB_Name = "HMEXIT"
'-------------------------- HMEXIT.BAS ------------------------

'HAMMAP Unterprogramme zur Initialisierung
'von Gerhard Berg, DJ6FM


DefInt A-Z

Sub HMQuit()

  If HV.StartupComplete Then
    'Numpar is dimensioned at this point
    If NumPar(12).Actual And 2 Then
      Call HMWriteParameter
    End If
  End If


  void = CloseDB()

  'Process pending Timer Events
  DoEvents

  Call CloseClients


  Call ExitHMTool

End Sub

Sub HMWriteParameter()

  Dim lTmpArea As lAreaType

  If Not GV.ParameterLoaded Then Exit Sub

  '--- Numerische und String-Parameter ---

  '--- Window-State, -Position, and -Size ---
  With HmForm
    NumPar(21).Actual = .WindowState

    If HmForm.WindowState = 0 Then
      NumPar(17).Actual = .Top
      NumPar(18).Actual = .Left
      NumPar(19).Actual = .Height
      NumPar(20).Actual = .Width
    End If
  End With

  m$ = Params2Str$(False)
  If ErrNr Then Exit Sub

  'Parameter ausgeben
  ErrNr = WriteParameter(InParFile$, "[HAMMAP]", m$)
  If ErrNr Then Exit Sub


  '---------- Farben und Symbole --------------
  m$ = ""

  '--- Color ---
  For i = 0 To 15
    If HV.ColVal(i) <> HV.DefCol(i) Then
      m$ = m$ + "Color =" + Str$(i)
      Col& = HV.ColVal(i)

      For j = 1 To 3
        Attr = Col& Mod 256
        Col& = Col& \ 256
        m$ = m$ + "," + Str$(Attr)
      Next j
      m$ = m$ + vbCrLf
    End If
  Next i

  m$ = m$ + vbCrLf

  '--- Symbole ---
  NewLineFlag = False

  For i = 0 To AnzStnAbv(2) - 1
    If StnSym(i).Actual <> StnSym(i).Default Then
      m$ = m$ + "Symbol = " + GetStnAbv$(2, i)
      m$ = m$ + "," + Format$(StnSym(i).Actual) + vbCrLf
      NewLineFlag = True
    End If
  Next i

  If NewLineFlag Then m$ = m$ + vbCrLf


  'Parameter ausgeben
  ErrNr = WriteParameter(InParFile$, "[HAMMAP-SP]", m$)
  If ErrNr Then Exit Sub



  '------------------- Kartenauschnitte -------------------
  If HV.AreaListModified Then

    m$ = ""

    For i = 1 To HV.AnzArea
      m$ = m$ + "Area = " + RTrim$(Area(i).Label) + ","
      m$ = m$ + lArea2Str$(Area(i).lArea) + vbCrLf
    Next i

    m$ = m$ + vbCrLf + vbCrLf


    '--- Parameter ausgeben ---
    ErrNr = WriteParameter(InParFile$, "[" + Speak$ + "]", m$)
    If ErrNr Then Exit Sub

  End If

  Call SaveToolbars

End Sub

