Attribute VB_Name = "HaminfoFunctions"
DefInt A-Z

Public Const PopupMenuNr = 12

Sub ClearFldDef()

  With frmFieldDef

    .fldFieldName.text = ""
    Call FillDropdownList(32140, 0, .lstFieldType)
    .fldFieldSize.text = ""

  End With

End Sub

Sub FillDropdownList(ByVal MsgNr, DefIndex, lst As ComboBox)

  lst.Clear

  Call SetMsgMode(1)

  Do
    m$ = Msg$(MsgNr)
    If Len(m$) = 0 Then Exit Do
    lst.AddItem m$
    MsgNr = MsgNr + 1
  Loop

  Call SetMsgMode(0)

  lst.ListIndex = DefIndex

End Sub

Function GetFieldDefs(Title$, MultipleFields, NameList$, TypeList$)

  With frmFieldDef

    .Caption = Title$

    If MultipleFields Then
      .Cmd(0).Caption = Msg$(32135)
      .Cmd(1).Caption = Msg$(32136)
      .Cmd(2).Caption = Msg$(25053)
    Else
      .Cmd(0).Caption = Msg$(25050)
      .Cmd(1).Caption = Msg$(25053)
      .Cmd(2).Visible = False
      .Cmd(2).Enabled = False
      .Height = 2475
    End If

    For i = 0 To 2
      .Lbl(i).Caption = Msg$(32130 + i)
    Next i

    Call ClearFldDef

    .lstFieldSize.Visible = False
    .lstFieldSize.Top = .fldFieldSize.Top

    Call CenterForm(frmFieldDef)

    .fldFieldName.Tag = ""
    .lstFieldType.Tag = ""

    .Show 1

    Cancel = Val(.Tag) <> 0
    GetFieldDefs = Cancel

    If Not Cancel Then
      NameList$ = Mid$(.fldFieldName.Tag, 2)
      TypeList$ = Mid$(.lstFieldType.Tag, 2)
    End If
  End With

  Unload frmFieldDef

End Function

Sub HammapFunctions(Index)

  Dim FirstRec As Long, LastRec As Long, FirstField, LastField

  Title$ = ProgName$ & " - " & StdMsg$(32180 + Index)

  Select Case Index
  Case 0        'Verbinden
    If GV.HammapConnected Then
      Call HMDisconnect
      HammapPossible = False
    Else
      Call appHMConnect
    End If

    Call EnblMenus
    frmMain.SetFocus

  Case 1        '-

  Case 2        'ausgewhlte Records anzeigen
    Call ShowInHammap(False)

  Case 3        'alle Records anzeigen
    Call ShowInHammap(True)

  Case 4        'Anzeige lschen
    ErrNr = HMCommand("Overlay:-1", Res$)
    If ErrNr = 0 Then ErrNr = HMCommand("Overlay:-2", Res$)
    If ErrNr = 0 Then ErrNr = HMCommand("DrawMap", Res$)

  Case 5        'frei

  Case 6        '-

  Case 7        'Einstellungen
    Cancel = CheckBoxMask(Title$, 32400, 0, NumPar(3).Actual, 0&, Change&)
    If Change& And 2 Then
      Call SetTop(frmMain.hWnd, (NumPar(3).Actual And 2) <> 0)
    End If

  Case 8        'Symbole
    ErrNr = InitMaskData(1, Title$, "")
    If ErrNr Then Exit Sub

    'Set Prompt and Default
    Call SetMaskData(1, StdMsg$(32180 + Index), CStr(NumPar(8).Actual), "@" & Str$(32480), "0", "12")

    Cancel = GetMaskInput(0, Change&)

    If Not Cancel Then NumPar(8).Actual = Val(GetMaskData(1))
    Call EraseMaskData

  Case 9        'Farbe
    NumPar(9).Actual = ctlSelectColor(FileSpecForm.CmDlg, NumPar(9).Actual)
  End Select

End Sub

Sub MainMenuFunctions(Index)

  Dim FldName$

  With frmMain

    If .Tbl.Visible Then
      FldName$ = Tbv.ActFieldName
    Else
      FldName$ = ""
    End If

    Select Case Index
    Case 0    'Datei
    Case 1    'Import
    Case 2    'Export
    Case 3    'Tabelle
      'Tabelle umbenennen
      m$ = Trim$(Replace(Msg$(32044), "$X", ""))
      .pdmnuTable(4).Caption = Replace$(m$, "%", dbOpenTable)

      'Tabelle lschen
      .pdmnuTable(5).Caption = Replace$(Msg$(32045), "%", dbOpenTable)

      'Feld umbenennen
      m$ = Trim$(Replace(Msg$(32048), "$X", ""))
      .pdmnuTable(8).Caption = Replace$(m$, "%", FldName$)

      'Feld lschen
      .pdmnuTable(9).Caption = Replace$(Msg$(32049), "%", FldName$)


    Case 4    'Bearbeiten


    Case 5    'Suchen
      .pdmnuSearch(1).Caption = Replace$(Msg$(32171), "%", FldName$)


    Case 6    'Sortieren
      For i = 0 To 1
        .pdmnuSort(i).Caption = Replace$(Msg$(32220 + i), "%", FldName$)
      Next i


    Case 7    'Design

    Case 8    'HAMMAP
      .pdmnuHAMMAP(0).Checked = GV.HammapConnected
      For i = 2 To 5
        .pdmnuHAMMAP(i).Enabled = HammapPossible And GV.HammapConnected
      Next i


    Case 9    'Adressen

    Case 10   'Einstellungen
      .pdmnuOptions(0).Enabled = dbTableIsOpen

    Case 11   'Info

    Case PopupMenuNr    'Popup

    End Select

  End With

End Sub

Sub OptionFunctions(Index)

  Select Case Index
  Case 0    'Schriftart...
    void& = ctlSelectFont(&H10003, FileSpecForm.CmDlg, frmMain.Tbl, Cancel)
    If Not Cancel Then
      Call InitTable
      Call ResizeTable
      Call FillTable
    End If

  End Select

End Sub

Sub PopUp()

  'Anzeigen/Bearbeiten
  With frmMain
    With .pumnu(0)
      .Enabled = (dbAnzDsRec > 0)
      DsAllowEdit = MnuAllowEdit And dbDsIsTable
      If DsAllowEdit Then
        .Caption = "Bearbeiten..."
      Else
        .Caption = "Anzeigen..."
      End If
    End With

    .pumnu(0).Enabled = (dbAnzDsRec > 0)   'Anzeigen
    .pumnu(1).Enabled = dbTableIsOpen      'Suchen
    .pumnu(2).Enabled = dbAnzDsRec > 1     'Sortieren
    .pumnu(3).Enabled = dbAnzDsRec > 0     'Drucken

    .PopupMenu .mnuMain(PopupMenuNr), 2
  End With
End Sub

Sub PopupFunctions(Index)

  Dim FirstRec As Long, LastRec As Long, FirstField, LastField

  Select Case Index
  Case 0  'Anzeigen/Bearbeiten
    Call EditCommand

  Case 1  'Suchen
    Call SearchCommand

  Case 2  'Sortieren
    Call SortCommand(False)

  Case 3  'Drucken
    Call PrintCommand

  Case 4        'ausgewhlte Records
      Call ShowInHammap(False)

  Case 5        'alle Records
      Call ShowInHammap(True)

  End Select

End Sub

Sub SortFunctions(Index)

  Select Case Index
  Case 0    'aufsteigend
    Call SortCommand(False)
  Case 1    'absteigend
    Call SortCommand(True)
  End Select

End Sub

Sub TableFunctions(Index)

  Dim Cancel, ErrNr, Answer, DstTbl$, ImportMode, FieldNr
  Dim Title$, m$, OldName$, NewName$, SQL$

  Title$ = ProgName$ & " - " & StdMsg$(32040 + Index)

  Select Case Index
  Case 0  '--- Tabelle ffnen ---
    Cancel = SelectTable(False)

  Case 1  'Tabelle schlieen
    ErrNr = CloseTable()
    Call ShowSelection

  Case 2  '-

  Case 3  'Tabelle anlegen
    Do
      Cancel = GetInput(Title$, Msg$(32276), "", TblName$)
      If Cancel Then Exit Sub
      Exist = ExistTable(TblName$, False)
      If Exist Then MsgBox Replace$(Msg$(32277), "%", TblName$)
    Loop While Exist

    Cancel = GetFieldDefs(Title$, True, NameList$, TypeList$)
    If Cancel Then Exit Sub

    ErrNr = CreateTable(TblName$, NameList$, TypeList$)
    If ErrNr Then Exit Sub

    ErrNr = OpenTbl(TblName$)
    If ErrNr = 0 Then
      ErrNr = SelectData(SelectClause & FromClause)
    End If

    Call ShowSelection


  Case 4  'Tabelle umbenennen
    OldName$ = dbOpenTable
    m$ = Replace$(Msg$(32273), "%", OldName$)
    Cancel = GetInput(Title$, m$, "", NewName$)
    If Cancel Then Exit Sub

    ErrNr = RenameTable(OldName$, NewName$)
    If ErrNr Then Exit Sub

    ErrNr = OpenTbl(NewName$)
    If ErrNr Then Exit Sub

    ErrNr = SelectData(SelectClause & FromClause)

    Call ShowSelection


  Case 5  'Tabelle lschen
    ErrNr = DeleteTable(dbOpenTable, 32271)
    If ErrNr Then Exit Sub

    ErrNr = SelectTable(True)

  Case 6  '-

  Case 7  'Feld hinzufgen
    Do
      Cancel = GetFieldDefs(Title$, False, FldName$, FldType$)
      If Cancel Then Exit Sub

      Exist = ExistTblField(FldName$)
      If Exist Then MsgBox Replace$(Msg$(32278), "%", NameList$)
    Loop While Exist

    'Tabelle freigeben
    ErrNr = CloseDynaset()

    ErrNr = DAOCommand("CreateField", FldName$, FldType$, 32297)
    If ErrNr Then Exit Sub

    void = OpenTbl(dbOpenTable)
    ErrNr = SelectData(SelectClause & FromClause)
    Call ShowSelection


  Case 8  'Feld umbenennen
    m$ = Replace$(Msg$(32275), "%", Tbv.ActFieldName)
    Cancel = GetInput(Title$, m$, "", NewName$)
    If Cancel Then Exit Sub

    ErrNr = RenameField(Tbv.ActFieldName, NewName$)
    If ErrNr Then Exit Sub

    ErrNr = OpenTbl(dbOpenTable)
    If ErrNr Then Exit Sub

    ErrNr = SelectData(SelectClause & FromClause)

    Call ShowSelection


  Case 9  'Feld lschen
    void = DeleteField(Tbv.ActFieldName, 32274)

    ErrNr = OpenTbl(dbOpenTable)
    If ErrNr Then Exit Sub

    ErrNr = SelectData(SelectClause & FromClause)

    Call ShowSelection

  End Select

End Sub

