Attribute VB_Name = "HMSUB_N"
'-------------------------- HMSUB_N.BAS ------------------------

'HAMMAP Unterprogramme fuer Windows
'von Gerhard Berg, DJ6FM

DefInt A-Z



Dim MsgBase()

Sub FileError(ErrTxt$, File$)

  If GV.NoShowError Then Exit Sub

  Beep

  m$ = ErrTxt$
  If Len(File$) > 0 Then
    m$ = m$ + vbCrLf + Msg$(25001) + ": " + UCase$(File$)
  End If

  void = TxtMsgBox(m$, 48, ProgName$)

End Sub

Function GrGetInput(Prompt$, MaxL, Inp$)

  'GetInput (Title$, Prompt$, Default$, InpLine$)
  GrGetInput = GetInput(ProgName$, Prompt$, "", Inp$)

End Function

Function GrMsgBox(text$, Mode)

  GrMsgBox = MsgBox(text$, Mode And Not 8)

End Function

Sub InitAreaMenu(OldAnz)

  'Ggf. Altes Menue Entladen
  For i = OldAnz To 2 Step -1
    Unload HmForm.AreaPullDown(i)
  Next i

  'Neues Menu laden
  For i = 1 To HV.AnzArea
    If i > 1 Then Load HmForm.AreaPullDown(i)
    HmForm.AreaPullDown(i).Caption = RTrim$(Pc8toAnsi$(Area(i).Label))
  Next i

End Sub

Sub PaintText(Txt$, Colo, Mode)

  With HmForm.StatusBox
    'Anpassung in MDIForm_Resize funktioniert nicht richtig
    '.Width = HmForm.StatusContainer.ScaleWidth
    .text = " " & Txt$
    .ForeColor = HV.ColVal(Colo)
  End With

End Sub

Sub ShowExpertFunctions()

  With HmForm

    For i = 5 To 8
      .pdmnuPrint(i).Visible = GV.ExpertMode
    Next i
    .pdmnuPrint(2).Visible = GV.ExpertMode
    .pdmnuPrint(11).Visible = GV.ExpertMode

    .mnuMain(8).Visible = GV.DesignMode
    DoEvents
  End With

End Sub

Sub ShowSelectedStn()


  Static LastCall$

  'alten Fadenkreuzcursor lschen
  MapForm.Line1.Visible = False
  MapForm.Line2.Visible = False
  void = DoEvents()

  'Rufzeichen der selektierten Station ausgeben
  s$ = SelStnCall$

  '--- Fadenkreuzcursor fuer selektierte Station ---
  If (NumPar(41).Actual And 8) = 0 Then
    If HV.SelStnRec > 0 Then
      If (StnFlags(HV.SelStnRec) And &HF0) = &HF0 Then
        'QTH bekannt und im Ausschnitt
        Call DrawSelectedStation(-1)

        xgeo& = CLng(SelStnData.xloc) * clQth2Sec
        ygeo& = CLng(SelStnData.yloc) * clQth2Sec

        x0& = SecGeo2AbsX(HMCrt, xgeo&)
        y0& = SecGeo2AbsY(HMCrt, ygeo&)

        w = 3 * HMCrt.SymbolSize

        'waagrechte Linie
        With MapForm.Line1
          .x1 = x0& - w
          .x2 = x0& + w + 1
          .y1 = y0&
          .y2 = y0&
          .Visible = True
        End With

        'senkrechte Linie
        With MapForm.Line2
          .x1 = x0&
          .x2 = x0&
          .y1 = y0& - w
          .y2 = y0& + w + 1
          .Visible = True
        End With
      End If
    End If

  End If

  AuxForm.Selection.Caption = s$

  If LastCall$ <> s$ Then
    'Api Notify setzen
    Call ApiNotify(1, s$)
    LastCall$ = s$
  End If

  Call ToolbarShowSelectedStn


End Sub

Sub ShowText(Txt$, Colo, Mouse)


  If Mouse >= 0 Then Screen.MousePointer = Mouse
  Call PaintText(Txt$, Colo, True)
  If (NumPar(35).Actual And 128) = 0 Then
    'kein Debug
    DoEvents
  End If


End Sub

Sub WinFormKeys(KeyAscii)

  With HmForm

    Select Case KeyAscii
    Case 24                'Ctrl-X
      'Erweitertes Druck-Menue
      GV.ExpertMode = Not GV.ExpertMode
      Call ShowExpertFunctions
      KeyAscii = 0

    Case 4                 'Ctrl-D
      GV.DesignMode = Not GV.DesignMode
      Call ShowExpertFunctions
      KeyAscii = 0

      Call InitShowOle

    Case Else
      Call MapFormKeyPress(KeyAscii)

    End Select

  End With

End Sub

