VERSION 5.00
Begin VB.Form MapForm 
   AutoRedraw      =   -1  'True
   BackColor       =   &H80000000&
   Caption         =   "Karte"
   ClientHeight    =   3255
   ClientLeft      =   3450
   ClientTop       =   7005
   ClientWidth     =   5910
   ClipControls    =   0   'False
   ControlBox      =   0   'False
   BeginProperty Font 
      Name            =   "Arial"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "MAPFRM_W.frx":0000
   KeyPreview      =   -1  'True
   LinkMode        =   1  'Source
   LinkTopic       =   "Map"
   MaxButton       =   0   'False
   MDIChild        =   -1  'True
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   Picture         =   "MAPFRM_W.frx":030A
   ScaleHeight     =   3255
   ScaleWidth      =   5910
   Begin VB.PictureBox BitMap 
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      Height          =   495
      Left            =   240
      ScaleHeight     =   29
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   77
      TabIndex        =   4
      Top             =   240
      Visible         =   0   'False
      Width           =   1215
   End
   Begin VB.Timer Watchdog 
      Enabled         =   0   'False
      Interval        =   500
      Left            =   2400
      Top             =   1080
   End
   Begin VB.Timer ResizeTimer 
      Enabled         =   0   'False
      Interval        =   200
      Left            =   3480
      Top             =   1080
   End
   Begin VB.TextBox HiddenField 
      BackColor       =   &H80000000&
      BorderStyle     =   0  'None
      Height          =   315
      Left            =   5160
      TabIndex        =   3
      Top             =   2640
      Width           =   375
   End
   Begin VB.HScrollBar MapHScroll 
      Height          =   255
      Left            =   0
      TabIndex        =   2
      Top             =   3000
      Width           =   5655
   End
   Begin VB.VScrollBar MapVScroll 
      Height          =   3015
      Left            =   5640
      TabIndex        =   1
      Top             =   0
      Width           =   255
   End
   Begin VB.Timer TipTimer 
      Enabled         =   0   'False
      Left            =   1320
      Top             =   1080
   End
   Begin VB.Timer BlinkTimer 
      Enabled         =   0   'False
      Left            =   240
      Top             =   1080
   End
   Begin VB.Label Tip 
      Appearance      =   0  'Flat
      AutoSize        =   -1  'True
      BorderStyle     =   1  'Fixed Single
      Caption         =   "DataTip"
      Height          =   240
      Left            =   240
      TabIndex        =   0
      Top             =   2040
      Visible         =   0   'False
      Width           =   570
   End
   Begin VB.Line Line2 
      Visible         =   0   'False
      X1              =   4920
      X2              =   4920
      Y1              =   240
      Y2              =   720
   End
   Begin VB.Line Line1 
      Visible         =   0   'False
      X1              =   4680
      X2              =   5160
      Y1              =   480
      Y2              =   480
   End
   Begin VB.Shape ZoomFrame 
      Height          =   495
      Left            =   2640
      Top             =   240
      Visible         =   0   'False
      Width           =   1215
   End
End

Attribute VB_Name = "MapForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
DefInt A-Z

Private Sub BlinkTimer_Timer()

  'Exit if form is minimized
  If MapForm.WindowState = 1 Then Exit Sub

  Call BlinkTimerEvent

End Sub

Private Sub Form_DblClick()

  Call MapFormDblClick

End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)

  Call MapFormKeyDown(KeyCode, Shift)

End Sub

Private Sub Form_KeyPress(KeyAscii As Integer)

  Call WinFormKeys(KeyAscii)

End Sub

Private Sub Form_Load()

  Tip.BackColor = &H80000018

  Tip.ForeColor = &H80000008

End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)

  Dim p As PointApi

  p.x = x
  p.y = y

  Call MapFormMouseDown(Button, Shift, p)

End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)

  Dim p As PointApi

  p.x = x
  p.y = y

  Call MapFormMouseMove(Button, Shift, p)

End Sub

Private Sub Form_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)

  Dim p As PointApi

  p.x = x
  p.y = y

  Call MapFormMouseUp(Button, Shift, p)

End Sub

Private Sub Form_Resize()

  Call MapFormResize

End Sub

Private Sub Form_Unload(Cancel As Integer)

  '--- Stop all Timer ---
  With MapForm
    .BlinkTimer.Enabled = False
    .TipTimer.Enabled = False
    .ResizeTimer.Enabled = False
    .Watchdog.Enabled = False
  End With

End Sub

Private Sub MapHScroll_Change()

  If HV.ScrollPrgChange Then Exit Sub

  Call PrepareFunction(True, 0)

  Call CmdZoomScroll(0, False)

  Call TerminateFunction(0, 0&)

End Sub

Private Sub MapHScroll_Scroll()

  Static Busy

  If Busy Then Exit Sub

  Busy = True

  Call CmdZoomScroll(0, True)

  Busy = False

End Sub

Private Sub MapVScroll_Change()

  If HV.ScrollPrgChange Then Exit Sub

  Call PrepareFunction(True, 0)

  Call CmdZoomScroll(1, False)

  Call TerminateFunction(0, 0&)

End Sub

Private Sub MapVScroll_Scroll()

  Static Busy

  If Busy Then Exit Sub

  Busy = True

  Call CmdZoomScroll(1, True)

  Busy = False

End Sub

Private Sub ResizeTimer_Timer()

  Static Busy

  ResizeTimer.Enabled = False

  If Busy Then

    ResizeTimer.Enabled = True    'Retrigger Timer

  Else

    Busy = True
    Call HMFormResize
    HmForm.StatusBox.Width = HmForm.StatusContainer.ScaleWidth
    Busy = False

  End If

End Sub

Private Sub TipTimer_Timer()

  'Check if form is minimized
  If MapForm.WindowState = 1 Then Exit Sub

  Call TipTimerEvent

End Sub

Private Sub WatchDog_Timer()

  Call CheckToolbarText

End Sub

