VERSION 5.00
Begin VB.Form RouterForm 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Router"
   ClientHeight    =   4980
   ClientLeft      =   165
   ClientTop       =   435
   ClientWidth     =   4245
   ControlBox      =   0   'False
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   4980
   ScaleWidth      =   4245
   Begin VB.ComboBox DstBox 
      Appearance      =   0  'Flat
      Height          =   300
      Left            =   1680
      TabIndex        =   1
      Top             =   720
      Width           =   2295
   End
   Begin VB.CommandButton cmdHelp 
      Caption         =   "Help"
      Height          =   495
      Left            =   2760
      TabIndex        =   8
      Top             =   4200
      Width           =   1215
   End
   Begin VB.CommandButton Cmd 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   495
      Index           =   1
      Left            =   2760
      TabIndex        =   7
      Top             =   3480
      Width           =   1215
   End
   Begin VB.CommandButton Cmd 
      Caption         =   "Ok"
      Default         =   -1  'True
      Height          =   495
      Index           =   0
      Left            =   2760
      TabIndex        =   6
      Top             =   2760
      Width           =   1215
   End
   Begin VB.CheckBox ChkMark 
      Caption         =   "Mark"
      Height          =   255
      Left            =   240
      TabIndex        =   5
      Top             =   4200
      Width           =   1935
   End
   Begin VB.OptionButton Opt 
      Caption         =   "Shortest Route"
      Height          =   255
      Index           =   1
      Left            =   240
      TabIndex        =   4
      Top             =   3360
      Width           =   1935
   End
   Begin VB.OptionButton Opt 
      Caption         =   "Fastest Route"
      Height          =   255
      Index           =   0
      Left            =   240
      TabIndex        =   3
      Top             =   2880
      Width           =   1935
   End
   Begin VB.TextBox NotViaBox 
      Height          =   1095
      Left            =   1680
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   2
      Top             =   1200
      Width           =   2295
   End
   Begin VB.TextBox SrcBox 
      Height          =   285
      Left            =   1680
      TabIndex        =   0
      Top             =   240
      Width           =   1935
   End
   Begin VB.Line Line1 
      X1              =   0
      X2              =   4440
      Y1              =   2520
      Y2              =   2520
   End
   Begin VB.Label Lbl 
      Caption         =   "Not via:"
      Height          =   255
      Index           =   2
      Left            =   240
      TabIndex        =   11
      Top             =   1200
      Width           =   1215
   End
   Begin VB.Label Lbl 
      Caption         =   "Destination:"
      Height          =   255
      Index           =   1
      Left            =   240
      TabIndex        =   10
      Top             =   720
      Width           =   1215
   End
   Begin VB.Label Lbl 
      Caption         =   "Start:"
      Height          =   255
      Index           =   0
      Left            =   240
      TabIndex        =   9
      Top             =   240
      Width           =   1215
   End
End

Attribute VB_Name = "RouterForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
DefInt A-Z


Dim PaintFlag

Private Sub Cmd_Click(Index As Integer)

  If Index = 0 Then

    '----- Ok -----

    '--- Start ---
    ErrNr = CheckStation(SrcBox.text, RecNr)
    If ErrNr Then
      SrcBox.SetFocus
      Exit Sub
    Else
      SrcBox.Tag = Str$(RecNr)
    End If

    'Ziel
    Dst$ = GetRouteDst$()

    Select Case Dst$
    Case "*"
      'Alle
      DstBox.Tag = "0"

    Case Else
      'Nicht alle
      StnTyp = FindStnAbv(2, Dst$)
      If StnTyp > 0 Then
        'MB, DX, WX
        DstBox.Tag = Str$(-StnTyp)
      Else
        ErrNr = CheckStation(Dst$, RecNr)
        If ErrNr Then
          DstBox.SetFocus
          Exit Sub
        Else
          DstBox.Tag = Str$(RecNr)
        End If
      End If
    End Select

    ErrNr = CheckNotVia(NotViaBox.text, RecList$)
    If ErrNr Then
      NotViaBox.SetFocus
      Exit Sub
    End If
    NotViaBox.Tag = RecList$

  End If

  RouterForm.Tag = Str$(Index)
  RouterForm.Hide
  PaintFlag = False

End Sub

Private Sub CmdHelp_Click()

  void = ShowHelp("HAMMAP-Router")

End Sub

Private Sub DstBox_Change()

  Call EnblControls

End Sub

Private Sub DstBox_Click()

  Call EnblControls

End Sub

Private Sub DstBox_GotFocus()

  DstBox.SelStart = 0
  DstBox.SelStart = 32767

End Sub

Private Sub DstBox_KeyPress(KeyAscii As Integer)

  KeyAscii = Asc(UCase$(Chr$(KeyAscii)))

End Sub

Private Sub EnblControls()

  Src$ = SrcBox.text
  Dst$ = GetRouteDst$()

  AllRoutes = (Dst$ = "*")

  If AllRoutes Then
    ChkMark.Value = 0
    c1 = True
  Else
    c1 = Len(Dst$) >= 2 And Src$ <> Dst$
  End If

  Cmd(0).Enabled = Len(Src$) >= 2 And c1

  ChkMark.Enabled = Not AllRoutes

End Sub

Private Sub Form_Paint()

  If Not PaintFlag Then
    PaintFlag = True
    Call EnblControls
    SrcBox.SetFocus
  End If

End Sub

Private Function GetRouteDst$()

  d$ = DstBox.text

  'Ggf. *,MB,DX,WX extrahieren
  If InStr(d$, "(") Then
    m$ = Parse$(d$, "(")
    GetRouteDst$ = Parse$(d$, ")")
  Else
    GetRouteDst$ = d$
  End If

End Function

Private Sub NotViaBox_GotFocus()

  NotViaBox.SelStart = 0
  NotViaBox.SelStart = 32767

End Sub

Private Sub NotViaBox_KeyPress(KeyAscii As Integer)

  KeyAscii = Asc(UCase$(Chr$(KeyAscii)))

End Sub

Private Sub SrcBox_Change()

  Call EnblControls

End Sub

Private Sub SrcBox_GotFocus()

  SrcBox.SelStart = 0
  SrcBox.SelStart = 32767

End Sub

Private Sub SrcBox_KeyPress(KeyAscii As Integer)

  KeyAscii = Asc(UCase$(Chr$(KeyAscii)))

End Sub

