VERSION 5.00
Begin VB.Form SymbolForm 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "SymbolForm"
   ClientHeight    =   2745
   ClientLeft      =   1290
   ClientTop       =   1770
   ClientWidth     =   5070
   ControlBox      =   0   'False
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2745
   ScaleWidth      =   5070
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   500
      Left            =   2280
      Top             =   1200
   End
   Begin VB.CommandButton StnTyp 
      Height          =   210
      Index           =   0
      Left            =   1440
      TabIndex        =   6
      Top             =   240
      Width           =   210
   End
   Begin VB.CommandButton Symbol 
      DragMode        =   1  'Automatic
      Height          =   210
      Index           =   0
      Left            =   480
      TabIndex        =   5
      Top             =   240
      Width           =   210
   End
   Begin VB.PictureBox Temp 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      FillStyle       =   0  'Solid
      Height          =   210
      Left            =   2280
      ScaleHeight     =   12
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   12
      TabIndex        =   4
      Top             =   2040
      Visible         =   0   'False
      Width           =   210
   End
   Begin VB.CommandButton Cmd 
      Caption         =   "Ok"
      Height          =   615
      Index           =   0
      Left            =   3240
      TabIndex        =   1
      Top             =   240
      Width           =   1440
   End
   Begin VB.CommandButton Cmd 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   615
      Index           =   1
      Left            =   3240
      TabIndex        =   2
      Top             =   960
      Width           =   1440
   End
   Begin VB.CommandButton Cmd 
      Caption         =   "Help"
      Height          =   600
      Index           =   2
      Left            =   3240
      TabIndex        =   3
      Top             =   1680
      Width           =   1440
   End
   Begin VB.Image StnTypImage 
      Appearance      =   0  'Flat
      BorderStyle     =   1  'Fixed Single
      Height          =   210
      Index           =   0
      Left            =   1080
      Top             =   240
      Width           =   210
   End
   Begin VB.Image SymbolImage 
      Appearance      =   0  'Flat
      BorderStyle     =   1  'Fixed Single
      DragMode        =   1  'Automatic
      Height          =   210
      Index           =   0
      Left            =   120
      Top             =   240
      Width           =   210
   End
   Begin VB.Line Line1 
      X1              =   840
      X2              =   840
      Y1              =   0
      Y2              =   2640
   End
   Begin VB.Label TypLabel 
      Caption         =   "TypLabel"
      Height          =   240
      Index           =   0
      Left            =   1800
      TabIndex        =   0
      Top             =   240
      Width           =   1095
   End
End

Attribute VB_Name = "SymbolForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
DefInt A-Z


Dim SelSym

Private Sub Cmd_Click(Index As Integer)

  Select Case Index
  Case 0, 1
    SymbolForm.Tag = Format$(Index)
    SymbolForm.Hide
  Case 2
    void = ShowHelp("HAMMAP-Symbol")
  End Select

End Sub

Private Sub ControlTimer(Enbl)

  Timer1.Enabled = Enbl
  Timer1.Interval = 500
  SymbolImage(SelSym).Visible = True

End Sub

Private Sub Form_Load()

  SelSym = -1

End Sub

Private Sub StnTyp_Click(Index As Integer)

  If SelSym >= 0 Then
    StnTypImage(Index).Picture = SymbolImage(SelSym).Picture
    StnTyp(Index).Tag = Format$(SelSym)
    Call ControlTimer(False)
    SelSym = -1
  End If

End Sub

Private Sub StnTyp_DragDrop(Index As Integer, Source As Control, x As Single, y As Single)

  If StnTyp(Index).Enabled Then
    StnTypImage(Index).Picture = SymbolImage(Source.Index).Picture
    StnTyp(Index).Tag = Format$(Source.Index)
  End If

End Sub

Private Sub StnTypImage_DragDrop(Index As Integer, Source As Control, x As Single, y As Single)

  If StnTyp(Index).Enabled Then
    StnTypImage(Index).Picture = SymbolImage(Source.Index).Picture
    StnTyp(Index).Tag = Format$(Source.Index)
  End If

End Sub

Private Sub Symbol_Click(Index As Integer)

  If SelSym >= 0 Then
    Call ControlTimer(False)
    If Index = SelSym Then
      SelSym = -1
    Else
      SelSym = Index
      Call ControlTimer(True)
    End If
  Else
    SelSym = Index
    Call ControlTimer(True)
  End If

End Sub

Private Sub Timer1_Timer()

  SymbolImage(SelSym).Visible = Not SymbolImage(SelSym).Visible
  If SymbolImage(SelSym).Visible Then
    Timer1.Interval = 700
  Else
    Timer1.Interval = 300
  End If

End Sub

