Attribute VB_Name = "APISUB_W"
DefInt A-Z


  Public Const NO_ERROR& = 0

  Declare Function GetVersion Lib "kernel32.dll" () As Long
  Declare Function SetWindowPos Lib "user32.dll" (ByVal hWnd As Long, ByVal hWndInsertAfter As Long, ByVal x As Long, ByVal y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long

  Declare Function OpenProcess Lib "kernel32.dll" (ByVal dwDesiredAccess As Long, ByVal bInheritHandle As Long, ByVal dwProcessId As Long) As Long
  Declare Function GetExitCodeProcess Lib "kernel32.dll" (ByVal hProcess As Long, lpExitCode As Long) As Long

  Declare Function GetTickCount Lib "kernel32.dll" () As Long
  Declare Sub ApiSleep Lib "kernel32" Alias "Sleep" (ByVal dwMilliseconds As Long)
  Declare Function GetAsyncKeyState Lib "user32.dll" (ByVal vKey As Long) As Integer

  Const Process_Query_Information = &H400
  Const Still_Active = &H103

  Declare Function SendMessageBynum Lib "user32.dll" Alias "SendMessageA" (ByVal hWnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
  Public Const EM_SETREADONLY = &HCF&
  Public Const EM_GETLINECOUNT = &HBA
  Public Const EM_GETLINEFROMCHAR = &HC9
  Public Const EM_LINEINDEX = &HBB
  Public Const EM_LINELENGTH = &HC1
  Public Const EM_CANUNDO = &HC6
  Public Const EM_UNDO = &HC7
  Public Const EM_GETMODIFY = &HBA
  Public Const EM_SETMODIFY = &HB8
  Public Const EM_SETTABSTOPS = &HCB

Sub GetWinVer(Major%, Minor%)

  'Windows-Version (HighByte=Minor, LowByte=Major)

  v& = GetVersion() And &HFFFF&
  Minor% = v& \ 256
  Major% = v& And 255

End Sub

Function SetReadOnly(Txt As TextBox, State)

  void = SendMessageBynum(Txt.hWnd, EM_SETREADONLY, State, 0&)

End Function

Sub SetTop(ByVal hWnd As Variant, ByVal Top As Integer)

  'See VBPJ Jan.96 S.143

  Dim Mode As Long, Flags As Long

  Const SWP_NOMOVE = 2
  Const SWP_NOSIZE = 1
  Const HWND_TOPMOST = -1
  Const HWND_NOTOPMOST = -2

  If Top Then
    Mode = HWND_TOPMOST
  Else
    Mode = HWND_NOTOPMOST
  End If

  Flags = SWP_NOMOVE Or SWP_NOSIZE

  Ok = SetWindowPos(hWnd, Mode, 0&, 0&, 0&, 0&, Flags)
  DoEvents

End Sub

Function ShellAndWait(Cmd$, Mode, ErrTxt$)

  'See VBPJ Feb.96 S.116 and Nov.96

  '--- Warten, bis Programm fertig ist ---
  On Error Resume Next
  hProg& = Shell(Cmd$, Mode)
  ErrNr = Err
  ErrTxt$ = Error$
  On Error GoTo 0

  ShellAndWait = ErrNr
  If ErrNr Then Exit Function



  '--- Warten, bis Programm fertig ist ---
  'open the Process
  hProcess& = OpenProcess(Process_Query_Information, _
      False, hProg&)
  Do
    'populate Exitcode variable
    void = GetExitCodeProcess(hProcess&, ExitCode&)
    DoEvents
  Loop While ExitCode& = Still_Active


End Function

