Attribute VB_Name = "dbAddr"
DefInt A-Z

'Adress-Daten-Verwaltungssystem (ADVS)

Sub AddressFunctions(Index)     '***$$$ADR

  Title$ = ProgName$ & " - " & StdMsg$(32700 + Index)

  Select Case Index
  Case 0    'Telefonbuchprogramm starten
    void& = Shell(StrPar(3, 4))

  Case 1    'Import
    Call ShowMsg(Msg$(32257) & Msg$(32259), False, 11)

    If NumPar(4).Actual And 1 Then
      Call ImportEuropa30
    End If

    If NumPar(4).Actual And 2 Then
      Call ImportKlickTel
    End If

    If NumPar(4).Actual And 4 Then
      Call ImportPalm
    End If

    Call ShowMsg("Import beendet", False, 0)    '0=Cursor=Pfeil


  Case 2    'Export
    If NumPar(5).Actual And 1 Then
      Call ExportEuropa30
    End If

    If NumPar(5).Actual And 2 Then
      MsgBox "Fr KlickTel kein Export programmiert"
    End If

    If NumPar(5).Actual And 4 Then
      Call ExportPalm
    End If


  Case 3    '-

  Case 4    'Pfade definieren
    Const AnzFields = 4

    ErrNr = InitMaskData(AnzFields, Title$, "")
    If ErrNr Then Exit Sub

    For i = 1 To AnzFields
      Call SetMaskData(i, Msg$(32720 + i), StrPar(3, 3 + i), "", "", "")
    Next i

    Cancel = GetMaskInput(0, Change&)
    If Not Cancel Then
      For i = 1 To AnzFields
        StrPar(3, 3 + i) = GetMaskData(i)
      Next i
    End If

    Call EraseMaskData

  Case 5    'Import-Auswahl
    Cancel = CheckBoxMask(Title$, 32740, 1, NumPar(4).Actual, 0&, Change&)

  Case 6    'Export-Auswahl
    Cancel = CheckBoxMask(Title$, 32740, 1, NumPar(5).Actual, 2&, Change&)

  End Select

End Sub

Sub ExportEuropa30()

End Sub

Sub ExportPalm()

End Sub

Sub ImportEuropa30()

  SrcTbl$ = "Adressen"
  DstTbl$ = "Eu30_" & SrcTbl$ & "_Imp"
  SrcType$ = "Access"

  ErrNr = GetConnectPar(StrPar(3, 5), SrcType$, SrcDB$, SrcTbl$)
  If ErrNr Then Exit Sub

  If ExistTable(DstTbl$, 0) Then
    ErrNr = DeleteTable(DstTbl$, 0)
  End If

  ImportMode = 0  'Neu anlegen

  ErrNr = ImportDB(SrcDB$, SrcTbl$, SrcType$, ImportMode, DstTbl$)
  If ErrNr Then Call ShowMsg(Msg$(32281), False, 0)

End Sub

Sub ImportKlickTel()

End Sub

Sub ImportPalm()

End Sub

