VERSION 5.00
Begin VB.Form frmFieldDef 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Form1"
   ClientHeight    =   2715
   ClientLeft      =   2670
   ClientTop       =   5955
   ClientWidth     =   7035
   ControlBox      =   0   'False
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2715
   ScaleWidth      =   7035
   ShowInTaskbar   =   0   'False
   Begin VB.ComboBox lstFieldSize 
      Height          =   315
      Left            =   1680
      Style           =   2  'Dropdown List
      TabIndex        =   3
      Top             =   1920
      Width           =   2535
   End
   Begin VB.ComboBox lstFieldType 
      Height          =   315
      Left            =   1680
      Style           =   2  'Dropdown List
      TabIndex        =   1
      Top             =   840
      Width           =   2535
   End
   Begin VB.TextBox fldFieldSize 
      Height          =   315
      Left            =   1680
      TabIndex        =   2
      Top             =   1440
      Width           =   2535
   End
   Begin VB.CommandButton Cmd 
      Caption         =   "Abbrechen"
      Height          =   495
      Index           =   2
      Left            =   4680
      TabIndex        =   6
      Top             =   1920
      Width           =   1935
   End
   Begin VB.CommandButton Cmd 
      Cancel          =   -1  'True
      Caption         =   "Tabelle fertigstellen"
      Height          =   495
      Index           =   1
      Left            =   4680
      TabIndex        =   5
      Top             =   1080
      Width           =   1935
   End
   Begin VB.CommandButton Cmd 
      Caption         =   "Nchstes Feld"
      Default         =   -1  'True
      Height          =   495
      Index           =   0
      Left            =   4680
      TabIndex        =   4
      Top             =   240
      Width           =   1935
   End
   Begin VB.TextBox fldFieldName 
      Height          =   315
      Left            =   1680
      TabIndex        =   0
      Top             =   240
      Width           =   2535
   End
   Begin VB.Label Lbl 
      Caption         =   "Feld-Lnge:"
      Height          =   255
      Index           =   2
      Left            =   360
      TabIndex        =   9
      Top             =   1440
      Width           =   1215
   End
   Begin VB.Label Lbl 
      Caption         =   "Feld-Typ:"
      Height          =   255
      Index           =   1
      Left            =   360
      TabIndex        =   8
      Top             =   840
      Width           =   1215
   End
   Begin VB.Label Lbl 
      Caption         =   "Feld-Name:"
      Height          =   255
      Index           =   0
      Left            =   360
      TabIndex        =   7
      Top             =   240
      Width           =   1335
   End
End

Attribute VB_Name = "frmFieldDef"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
DefInt A-Z

Private Sub Cmd_Click(Index As Integer)

  If Cmd(2).Visible Then
    'multiple fields
    Done = Index
  Else
    'single field
    Done = Index + 1
  End If

  With Me

    If Done < 2 Then
      FldName$ = .fldFieldName.text
      If Len(FldName$) > 0 Then
        Exist = ExistTblField(FldName$)
        If Exist Then
          MsgBox Replace$(Msg$(32278), "%", FldName$)
          Exit Sub
        End If

        n = .lstFieldType.ListIndex
        s = .lstFieldSize.ListIndex

        Select Case n
        Case 0      'Text
          t$ = "T" & CStr(.fldFieldSize.text)
        Case 1      'Integer
          t$ = "I" & CStr(2 ^ s)
        Case 2
          t$ = "F" & CStr(2 ^ (s + 2))
        Case 3
          t$ = "C"
        Case 4
          t$ = "T"
        End Select

        'Namens-Liste
        .fldFieldName.Tag = .fldFieldName.Tag & "|" & FldName$
        'Typ-Liste
        .lstFieldType.Tag = .lstFieldType.Tag & "|" & t$
      End If
    End If

    If Done Then
      .Tag = Str$(Done - 1)
      .Hide
    Else
      Call ClearFldDef
      fldFieldName.SetFocus
    End If

  End With

End Sub

Sub EnblFieldControls()

  Ok = Len(fldFieldName.text) > 0
  If lstFieldType.ListIndex = 0 Then
    With fldFieldSize
      Ok = Ok And Len(fldFieldSize.text) > 0
    End With
  End If

  Cmd(0).Enabled = Ok
  If Cmd(2).Enabled Then
    Cmd(1).Enabled = Ok Or Len(fldFieldName.Tag) > 0
  End If

End Sub

Private Sub fldFieldName_Change()

  Call EnblFieldControls

End Sub

Private Sub fldFieldSize_Change()

  Call EnblFieldControls

End Sub

Private Sub lstFieldType_Click()

  n = lstFieldType.ListIndex
  fldFieldSize.Visible = (n = 0)
  lstFieldSize.Visible = (n = 1 Or n = 2)
  Lbl(2).Visible = (n <= 2)

  Select Case n
  Case 1    'Ganze Zahlen
    Call FillDropdownList(32150, 1, lstFieldSize)
  Case 2    'Gleitkomma-Zahlen
    Call FillDropdownList(32160, 0, lstFieldSize)
  End Select

  Call EnblFieldControls

End Sub

