Attribute VB_Name = "GarminSub"
DefInt A-Z
Option Explicit

Public GarminData

Const DLE = 16
Const ETX = 3

'Basic Packet ID's
Public Const ACK = 6
Public Const NAK = 21
Const Pid_Protocol_Array = 253  'may not be implemented in all products
Const Pid_Product_Rqst = 254
Const Pid_Product_Data = 255

Dim OutData() As Byte
Dim OutCom() As Byte

Sub GarminMode(Enbl)

  GarminData = Enbl

  frmMain.GPSWatchDog.Enabled = Not Enbl

  With frmMain.MSComm1
    If Enbl Then
      .InputMode = comInputModeBinary
    Else
      'NMEA
      .InputMode = comInputModeText
    End If
  End With

End Sub

Sub GetProductData()

  Call GarminMode(True)

  'Send Product Request
  Call XmitCommand(Pid_Product_Rqst)

  'Get Product Data

  'Optionally Get Protocol Capability

End Sub

Sub XmitCommand(Value)

  ReDim OutData(0 To 0)

  OutData(0) = Value        'Data is ignored in many cases
  Call XmitPacket(Value, OutData)

End Sub

Sub XmitPacket(Id, XmitData() As Byte)

  Dim CheckSum As Long
  Dim Size, DleCnt, OutPt, i
  Dim XmitChr As Byte

  Size = UBound(XmitData) - LBound(XmitData) + 1

  For i = 0 To Size - 1
    If XmitData(i) = DLE Then DleCnt = DleCnt + 1
  Next i

  ReDim OutCom(0 To 6 + Size + DleCnt - 1)

  OutCom(0) = DLE
  OutCom(1) = Id
  OutCom(2) = Size

  OutPt = 3
  CheckSum = OutCom(1) + OutCom(2)

  For i = 0 To Size - 1
    XmitChr = XmitData(i)
    OutCom(OutPt) = XmitChr
    CheckSum = CheckSum + XmitChr
    OutPt = OutPt + 1
    If XmitChr = DLE Then
      'Stuff extra DLE
      OutCom(OutPt) = DLE
      OutPt = OutPt + 1
    End If
  Next i

  OutCom(OutPt) = -CheckSum And 255
  OutCom(OutPt + 1) = DLE
  OutCom(OutPt + 2) = ETX

  frmMain.MSComm1.Output = OutCom
  Beep
  'Get ACK / NAK

End Sub

