Attribute VB_Name = "GETMAP"
'---------------------------- GETMAP.BAS ----------------------------

'von Gerhard Berg, DJ6FM


DefInt A-Z


Function GetCoordCache(FileNr, Coord As Koordinate, ResetCache)

  Static Ptr
  Static CoCl As CoordCluster

  GetCoordCache = True

  If ResetCache Then
    Ptr = 0
    ResetCache = False
  End If

  If Ptr = 0 Then
    '--- Koordinaten-Cluster einlesen ---
    On Local Error Resume Next
    Get #FileNr, , CoCl
    ErrNr = Err
    On Local Error GoTo 0

    If ErrNr Then
      Call ShowErrNrFileNr(ErrNr, FileNr)
      Exit Function
    End If
  End If

  Ptr = Ptr + 1
  Coord.x = CoCl.xy(Ptr).x
  Coord.y = CoCl.xy(Ptr).y

  If Ptr = 8 Then Ptr = 0

  GetCoordCache = False

End Function

Function GetCoordHeader(FileNr, CoHdr As CoordHeader)

  On Local Error Resume Next

  Get #FileNr, 1, CoHdr

  GetCoordHeader = Err

  If Err Then Call ShowErrNrFileNr(Err, FileNr)

End Function

Function GetSegment(FileNr, RecNr, Segm As Segment)

  On Local Error Resume Next

  '--- Segment einlesen ---
  Get #FileNr, RecNr, Segm

  GetSegment = Err

  If Err Then Call ShowErrNrFileNr(Err, FileNr)

End Function

Function GetSegmentHeader(FileNr, SgHdr As SegmentHeader)

  Dim Sg As Segment

  GetSegmentHeader = GetSegment(FileNr, 1, Sg)

  LSet SgHdr = Sg

  'On Local Error Resume Next
  'Get #FileNr, 1, SgHdr
  'GetSegmentHeader = Err
  'If Err Then Call ShowErrNrFileNr(Err, FileNr)

End Function

Function IsComment(Segm As Segment)

  'Pruefen of Segment ein Kommentar ist
  IsComment = (Segm.SegType = 30)

End Function

Function IsLine(SegType As Integer)

  'Pruefen of Segment eine Linie ist
  IsLine = (SegType > 0 And SegType <= 18)

End Function

