VERSION 5.00
Object = "{A8B3B723-0B5A-101B-B22E-00AA0037B2FC}#1.0#0"; "GRID32.OCX"
Begin VB.Form frmGpsData 
   Caption         =   "HAMGPS - GPS Empfangs-Daten"
   ClientHeight    =   3690
   ClientLeft      =   2340
   ClientTop       =   4395
   ClientWidth     =   8340
   Icon            =   "GpsTbl_W.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3690
   ScaleWidth      =   8340
   Begin VB.TextBox InfoBox 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2535
      Left            =   4920
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   1
      Top             =   240
      Width           =   3135
   End
   Begin MSGrid.Grid GpsTbl 
      Height          =   2535
      Left            =   120
      TabIndex        =   0
      Top             =   240
      Visible         =   0   'False
      Width           =   4575
      _Version        =   65536
      _ExtentX        =   8070
      _ExtentY        =   4471
      _StockProps     =   77
      BackColor       =   16777215
      Rows            =   10
      Cols            =   21
   End
   Begin VB.Line MenuSep 
      X1              =   120
      X2              =   8760
      Y1              =   0
      Y2              =   0
   End
   Begin VB.Menu mnuDisplay 
      Caption         =   "&Anzeige"
      Begin VB.Menu pdmnuDisplay 
         Caption         =   "&Ortschaften usw."
         Index           =   1
      End
      Begin VB.Menu pdmnuDisplay 
         Caption         =   "&NMEA-Empfangsdaten"
         Index           =   2
      End
      Begin VB.Menu pdmnuDisplay 
         Caption         =   "&Satelliten (Tabelle)"
         Index           =   3
      End
      Begin VB.Menu pdmnuDisplay 
         Caption         =   "Satelliten (&Grafik)"
         Index           =   4
      End
      Begin VB.Menu pdmnuDisplay 
         Caption         =   "-"
         Index           =   5
      End
      Begin VB.Menu pdmnuDisplay 
         Caption         =   "Schlieen"
         Index           =   6
      End
   End
   Begin VB.Menu mnuInfo 
      Caption         =   "?"
      Begin VB.Menu pdmnuInfo 
         Caption         =   "&Hilfe..."
         Index           =   1
      End
      Begin VB.Menu pdmnuInfo 
         Caption         =   "&ber..."
         Index           =   2
      End
   End
End

Attribute VB_Name = "frmGpsData"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
DefInt A-Z

Private Sub Form_Load()

  Call CenterForm(Me)

End Sub

Private Sub Form_Resize()

  Static Busy, OldH
  Dim h, x1, x2, dx, y1, dy

  If frmGpsData.WindowState = 1 Then Exit Sub      'Icon

  If Busy Then Exit Sub

  Busy = True

  Call ResizeTable

  Busy = False

End Sub

Private Sub Form_Unload(Cancel As Integer)

  Call CloseTable

End Sub

Private Sub pdmnuDisplay_Click(Index As Integer)

  Select Case Index
  Case 1 To 4
    Call InitTable(Index)
  Case 6
    Call CloseTable
  End Select

End Sub

Private Sub pdmnuInfo_Click(Index As Integer)

  Select Case Index
  Case 1
    Call HelpTable

  Case 2
    Call GpsShowAbout
  End Select
End Sub

