Attribute VB_Name = "GPSUB"
'---------------------------- GPSUB.BAS ----------------------------
'Universelle Unterprogramme
'von Gerhard Berg, DJ6FM

DefInt A-Z

Sub AnalyseText(InText$, AnzLines, MaxLen)

  'Anzahl Zeilen und max. Laenge bestimmen

  AnzLines = 0
  MaxLen = 0
  Dim P1 As Long, P2 As Long, Inlen As Long

  P1 = 1
  Inlen = Len(InText$)

  Do Until P1 > Inlen
    P2 = InStr(P1, InText$, vbCrLf)
    If P2 = 0 Then P2 = Inlen + 1
    LineLen = P2 - P1
    P1 = P2 + 2
    If LineLen > MaxLen Then MaxLen = LineLen
    AnzLines = AnzLines + 1
  Loop

End Sub

Function AnzItems(List$)

  l$ = List$

  Do Until Len(l$) = 0
    void$ = Parse$(l$, ",")
    n = n + 1
  Loop

  AnzItems = n

End Function

Sub CenterControl(Container As Form, Object As Control)

  x = (Container.ScaleWidth - Object.Width) \ 2
  y = (Container.ScaleHeight - Object.Height) \ 2
  Object.Move x, y

End Sub

Sub Col2RGB(NewColor As Long, red, green, blue)

  red = NewColor And 255
  green = NewColor \ 256 And 255
  blue = NewColor \ 65536 And 255

End Sub

Function fMax(ByVal f1 As Single, ByVal f2 As Single) As Single

  If f1 > f2 Then
    fMax = f1
  Else
    fMax = f2
  End If

End Function

Function fMin(ByVal f1 As Single, ByVal f2 As Single) As Single

  If f1 < f2 Then
    fMin = f1
  Else
    fMin = f2
  End If

End Function

Function lMax(ByVal l1 As Long, ByVal l2 As Long) As Long

  If l1 > l2 Then
    lMax = l1
  Else
    lMax = l2
  End If

End Function

Function lMin(ByVal l1 As Long, ByVal l2 As Long) As Long

  If l1 < l2 Then
    lMin = l1
  Else
    lMin = l2
  End If

End Function

Function RGB2Col(red, green, blue) As Long

  RGB2Col = (blue * 256& + green) * 256& + red

End Function

Sub SplitList(List$, ListArray$())

  '--- Liste, die durch Komma unterteilt ist, in Array aufteilen ---
  l$ = List$

  Do Until Len(l$) = 0
    i = i + 1
    ListArray$(i) = Parse$(l$, ",")
  Loop

End Sub

Sub SplitText(Txt$, MaxLen)

  '--- Langen Text in mehrere Zeilen zerlegen ---
  If Len(Txt$) > MaxLen Then
    Do Until Len(Txt$) = 0

      '--- Text in Zeilen zerlegen ---
      t$ = Parse$(Txt$, vbCrLf)
      Do Until Len(t$) = 0

        '--- Zeile in Worte zerlegen ---
        m$ = Parse$(t$, " ")
        If l = 0 Then
          'Zeilenanfang
          Tmp$ = Tmp$ + m$
          l = Len(m$)
        Else
          If l + Len(m$) >= MaxLen Then
            Tmp$ = Tmp$ + vbCrLf + m$
            l = Len(m$)
          Else
            Tmp$ = Tmp$ + " " + m$
            l = l + 1 + Len(m$)
          End If
        End If
      Loop

      '--- CRLF am Zeilenende (ausser letze Zeile) anhaengen ---
      If Len(Txt$) > 0 Then
        Tmp$ = Tmp$ + vbCrLf
        l = 0
      End If
    Loop
    Txt$ = Tmp$
  End If

End Sub

Function Str2Int(s$)

  For i = Len(s$) To 1 Step -1
    n = n * 256 + Asc(Mid$(s$, i, 1))
  Next i

  Str2Int = n

End Function

Function Str2Long(s$) As Long

  For i = Len(s$) To 1 Step -1
    n& = n& * 256 + Asc(Mid$(s$, i, 1))
  Next i

  Str2Long = n&

End Function

