Attribute VB_Name = "GtFile"
DefInt A-Z
'

Function GetFileSpec(Title$, Mode, Flg&, IniDir$, Ext$, ByVal Filt$, FileSpec$)

  'Mode: 1=Input, 2=Output
  'Flg& = &H0002: Overwrite Prompt
  '       &H1000: File must Exist

  GetFileSpec = True


  With FileSpecForm.CmDlg

    .DialogTitle = Title$
    .InitDir = IniDir$
    .FileName = FileSpec$
    'Don't use DefaultExt, because Ext is always appended under Win32
    .DefaultExt = ""
    If Left$(Filt$, 1) = "#" Then
      .FilterIndex = Val(Mid$(Parse$(Filt$, ":"), 2))
    End If

    .FILTER = Filt$
    .Flags = Flg& And Not &H1000&
    .CancelError = True

    On Local Error Resume Next
    .Action = Mode
    Cancel = (Err <> 0)
    On Local Error GoTo 0

    FilNam$ = RTrim$(Ucase16$(.FileName))
  End With

  If Not Cancel Then
    Call ParseFileSpec(FilNam$, d$, p$, n$, e$)

    'Append default extension under Win32 (VB3 and VB5!)
    If e$ = "." Then FilNam$ = FilNam$ + "." + Ucase16$(Ext$)

    If Mode = 1 And (Flg& And &H1000&) <> 0 Then
      ErrNr = ExistFile(FilNam$, True, Exist)
    Else
      ErrNr = ExistFile(FilNam$, False, Exist)
    End If

    If ErrNr = 0 Then
      IniDir$ = StripBackSlash$(d$ + p$)
      FileSpec$ = FilNam$
    End If

  End If

  If Not Cancel Then
    If Mode = 2 And (Flg& And 2) <> 0 Then
      'Ausgabe und Overwrite Prompt
      ErrNr = DeleteFile(FileSpec$, Found)
    End If
  End If

  Unload FileSpecForm
  Set FileSpecForm = Nothing

  GetFileSpec = Cancel Or (ErrNr <> 0)

End Function

