VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "Comdlg32.ocx"
Begin VB.Form frmClk1 
   AutoRedraw      =   -1  'True
   Caption         =   "HAMCLK"
   ClientHeight    =   630
   ClientLeft      =   2085
   ClientTop       =   2760
   ClientWidth     =   2145
   ControlBox      =   0   'False
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   24
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "HAMCL1_W.frx":0000
   LinkMode        =   1  'Source
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   630
   ScaleWidth      =   2145
   Begin MSComDlg.CommonDialog CmDlg 
      Left            =   360
      Top             =   120
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      FontSize        =   0
      MaxFileSize     =   256
   End
   Begin VB.Timer ClockTimer 
      Interval        =   1000
      Left            =   1200
      Top             =   120
   End
   Begin VB.Menu Options 
      Caption         =   "&Einstellungen"
      Begin VB.Menu MenuAnzeige 
         Caption         =   "Zeit&anzeige"
         Begin VB.Menu OptionsDigital 
            Caption         =   "&Digital"
            Checked         =   -1  'True
         End
         Begin VB.Menu OptionsAnalog 
            Caption         =   "&Analog"
         End
         Begin VB.Menu OptionsSeconds 
            Caption         =   "&Sekunden"
            Checked         =   -1  'True
         End
      End
      Begin VB.Menu MenuTimeZone 
         Caption         =   "&Zeitzone..."
      End
      Begin VB.Menu MenuWindow 
         Caption         =   "&Fenster"
         Begin VB.Menu OptionsTopMost 
            Caption         =   "Immer im &Vordergrund"
         End
         Begin VB.Menu OptionsNoTitle 
            Caption         =   "Ohne &Titelleiste"
         End
         Begin VB.Menu OptionsSymbol 
            Caption         =   "&Symbol"
         End
      End
      Begin VB.Menu MenuFontColor 
         Caption         =   "&Schrift/Farbe"
         Begin VB.Menu OptionsFont 
            Caption         =   "Schrift&art"
         End
         Begin VB.Menu OptionsBackGround 
            Caption         =   "&Hintergrund"
         End
         Begin VB.Menu OptionsForeGround 
            Caption         =   "&Vordergrund"
         End
      End
      Begin VB.Menu MenuWecker 
         Caption         =   "&Wecker"
         Begin VB.Menu OptionAlarm 
            Caption         =   "Wecken &setzen..."
         End
         Begin VB.Menu OptionClearAlarm 
            Caption         =   "Wecken &lschen"
            Enabled         =   0   'False
         End
      End
      Begin VB.Menu MenuInfo 
         Caption         =   "&Info"
         Begin VB.Menu DateInfo 
            Caption         =   "&Datum..."
         End
         Begin VB.Menu AboutInfo 
            Caption         =   "&ber..."
         End
      End
      Begin VB.Menu OptionsEnd 
         Caption         =   "&Beenden"
      End
   End
End

Attribute VB_Name = "frmClk1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'----------- HAMCLK ----------------
'von Gerhard Berg, DJ6FM

DefInt A-Z

Private Sub AboutInfo_Click()

  Call InitClock(False)

  Call ShowAbout

  Call InitClock(True)

End Sub

Private Sub ClockTimer_Timer()

  Dim ActTime As Double

  Static OldMin As Integer
  Static OldPosX As Integer
  Static OldPosY As Integer


  If frmClk1.OptionsSeconds.Checked Then

    '--- Sekunden anzeigen ---
    Call ShowTime(False)

  Else

    '--- Minuten anzeigen ---
    ActTime = Now + TimeDiff / 24       'Actual Time
    NewMin = Minute(ActTime)
    If NewMin <> OldMin Then

      '--- Zeit bei Minutenwechsel anzeigen ---
      Call ShowTime(False)
      OldMin = NewMin

    ElseIf ActClk.WindowState = 1 Then
    End If
  End If

End Sub

Private Sub DateInfo_Click()

  Call InitClock(False)

  d$ = Format$(Now + TimeDiff / 24, "dd/mm/yy")
  MsgBox "Heute ist der " + d$

  Call InitClock(True)

End Sub

Private Sub Form_Load()

  'Laden von HAMCLK = Programmstart

  Me.BackColor = &H80000005

  '--- Programm-Initialisierung ---

  'TwoPi = 8# * Atn(1)

  Set ActClk = frmClk1
  TitleHeight = frmClk1.Height - frmClk1.ScaleHeight - (frmClk2.Height - frmClk2.ScaleHeight)


  'Standard-Font speichern
  FntName = frmClk1.FontName
  FntSize = frmClk1.FontSize
  FntBold = frmClk1.FontBold
  FntItalic = frmClk1.FontItalic


  'Uhr zentrieren
  Call CenterForm(ActClk)


  'Titel setzen
  ClockTitle = "HAMCLOCK"
  ErrNr = InitHmTool(ClockTitle, "DOS,HMSUB")
  If ErrNr Then
    Call ExitHMTool
    Exit Sub
  End If

  Call SetClockTitle


  'Option 'Immer im Vordergrund' erst ab Windows 3.1 zulassen
  Call GetWinVer(Major, Minor)
  If Major < 3 Or Major = 3 And Minor < 10 Then
    OptionsTopMost.Visible = False
  End If

  Me.Show
  Me.SetFocus

End Sub

Private Sub Form_Resize()

  Call InitClock(True)

End Sub

Private Sub Form_Unload(Cancel As Integer)

  If Not GV.ProgUnload Then Call ExitHMTool

End Sub

Private Sub MenuTimeZone_Click()

  Call InitClock(False)

  ErrNr = InitMaskData(2, ProgName$ & "  -  Zeitzone", "")
  If ErrNr = 0 Then

    Call SetMaskData(1, "Bezeichnung:", ClockTitle, "", "", "")
    Call SetMaskData(2, "Zeitdifferenz [Std]:", CStr(TimeDiff), "", "-12", "12")

    Cancel = GetMaskInput(0, Change&)

    If Not Cancel Then
      ClockTitle = GetMaskData(1)
      TimeDiff = Val(Unformat$(GetMaskData(2)))
      Call SetClockTitle
    End If

  End If

  Call InitClock(True)

End Sub

Private Sub OptionAlarm_Click()

  Dim ActTime As Double

  Call InitClock(False)

  Cancel = GetInput(ClockTitle, "Weckzeit [hh:mm:ss]:", AlarmString, Strg$)

  If Not Cancel And Len(Strg$) > 0 Then
    AlarmString = Strg$
    AlarmTime = TimeValue(Strg$)
    ActTime = Now + TimeDiff / 24
    AlarmDay = Int(ActTime)
    If AlarmDay + AlarmTime < ActTime Then
      AlarmDay = AlarmDay + 1
    End If

    OptionAlarm.Checked = True
    OptionClearAlarm.Enabled = True
  End If

  Call InitClock(True)

End Sub

Private Sub OptionClearAlarm_Click()

  Call InitClock(True)
  AlarmDay = 0
  OptionAlarm.Checked = False
  OptionClearAlarm.Enabled = False

End Sub

Private Sub OptionsAnalog_Click()

  'Analog schon gewhlt: keine Funktion
  If OptionsAnalog.Checked Then Exit Sub

  'Check-Marke umschalten
  OptionsAnalog.Checked = True
  OptionsDigital.Checked = False


  'Bei Umschalten auf Analog: Hhe = Breite
  Diff = ActClk.ScaleWidth - ActClk.ScaleHeight

  If Diff = 0 Then
    'Uhr neu ausgeben
    Call InitClock(True)
  Else
    'nderung der Gre bewirkt Resize-Event
    ActClk.Height = ActClk.Height + Diff
  End If

End Sub

Private Sub OptionsBackGround_Click()

  Call SelectColor(0)

End Sub

Private Sub OptionsDigital_Click()

  'Digital schon gewhlt: keine Funktion
  If OptionsDigital.Checked Then Exit Sub

  'Check-Marke umschalten
  OptionsDigital.Checked = True
  OptionsAnalog.Checked = False


  'Umschalten auf Digital: Hhe = Schrifthhe
  OldSize! = ActClk.FontSize
  textw = ActClk.TextWidth(TimeSize$) / OldSize!
  texth = ActClk.TextHeight(TimeSize$) / OldSize!
  Ratio! = texth / textw
  Diff = ActClk.ScaleWidth * Ratio! - ActClk.ScaleHeight

  If Diff = 0 Then
    'Uhr neu ausgeben
    Call InitClock(True)
  Else
    'nderung der Gre bewirkt Resize-Event
    ActClk.Height = ActClk.Height + Diff
  End If

End Sub

Private Sub OptionsEnd_Click()

  Call ExitHMTool

End Sub

Private Sub OptionsFont_Click()

  Call SelectFont

End Sub

Private Sub OptionsForeGround_Click()

  Call SelectColor(1)

End Sub

Private Sub OptionsNoTitle_Click()

  t! = frmClk1.Top + TitleHeight / 2
  h! = frmClk1.Height - TitleHeight
  frmClk2.Move frmClk1.Left, t!, frmClk1.Width, h!
  frmClk1.Hide
  frmClk2.Show
  Set ActClk = frmClk2
  Call InitClock(True)

End Sub

Private Sub OptionsSeconds_Click()

  OptionsSeconds.Checked = Not OptionsSeconds.Checked
  Call InitClock(True)

End Sub

Private Sub OptionsSymbol_Click()

  frmClk1.WindowState = 1

End Sub

Private Sub OptionsTopMost_Click()

  OptionsTopMost.Checked = Not OptionsTopMost.Checked
  Call InitClock(True)

End Sub

