Attribute VB_Name = "HAMTWN_W"
DefInt A-Z

Public gblAllowEdit
Public FileData$

Sub ClientNotify(EventNr As Integer, EventData As String)

  'No action

End Sub

Sub ClientTerminate()

  Call ExitHMTool

End Sub

Sub DisplayFunctions(Index)

  Select Case Index
  Case 0    'Alle
    Call ShowTowns(True, True, "")

  Case 1    'Sichtbare
    Call ShowTowns(False, True, "")

  Case 2    'Markierte
    Call ShowOneTown

  Case 3    'Lschen
    ErrNr = HMCommand("Overlay:-1", Res$)
    If ErrNr = 0 Then ErrNr = HMCommand("Overlay:-2", Res$)
    If ErrNr = 0 Then ErrNr = HMCommand("DrawMap", Res$)

  Case 4    '-

  Case 5    'Mit Namen
    With HmTown.pdmnuDisplay(Index)
      .Checked = Not .Checked
    End With
  End Select

End Sub

Sub FileFunctions(Index)

  Dim Title$, Flags&, IniDir$, Filt$, ErrNr
  Dim f$, d$, p$, n$, e$

  Select Case Index
  Case 0      'Neu
    Call LoadFile("")

  Case 1      'ffnen
    Title$ = "HmTown  -  Datei laden"
    'Flags: PathMustExist + NoChangeDir + HideReadOnly + Overwrite-Prompt
    Flags& = &H80E
    IniDir$ = HomeDir$ & "WINDAT"
    Filt$ = "Stdte-Datei (*.DAT)|*.DAT"
    ErrNr = GetFileSpec(Title$, 1, Flags&, "..\WINDAT", "DAT", Filt$, f$)

    If ErrNr = 0 Then Call LoadFile(f$)

  Case 2      'Speichern
    Title$ = "HmTown  -  Datei speichern"
    'Flags: PathMustExist + NoChangeDir + HideReadOnly + Overwrite-Prompt
    Flags& = &H80E
    IniDir$ = HomeDir$ & "WINDAT"
    Filt$ = "Stdte-Datei (*.DAT)|*.DAT"
    ErrNr = GetFileSpec(Title$, 2, Flags&, "..\WINDAT", "DAT", Filt$, f$)
    If ErrNr Then Exit Sub

    ErrNr = SaveTextFile(f$, (HmTown.TextField.text))
    If ErrNr Then
      MsgBox "Fehler beim Schreiben der Datei " & f$
    Else
      Call ParseFileSpec(f$, d$, p$, n$, e$)
      HmTown.Caption = "HmTown (" & Ucase16$(n$) & ")"
    End If

  Case 3      'Beenden
    Call HMDisconnect

  End Select

End Sub

Sub InfoFunctions(Index)

  Select Case Index
  Case 0    'ber
    MsgBox GetAbout$("")
  Case 1    'Hilfe
    ErrNr = ShowHelp("HMTOWN")
  End Select

End Sub

Sub InitHmTown()

  Dim ErrNr, f$

  ErrNr = InitHmTool("HMTOWN", "DOS,HMSUB,HMAPI")
  If ErrNr Then
    Call HMDisconnect
    Exit Sub
  End If

  Call CenterForm(HmTown)

  With HmTown
    void = SetReadOnly(.StatusBox, True)
    .StatusContainer.BackColor = &H8000000F
    .StatusBox.BackColor = &H8000000F
  End With

  ErrNr = HMConnect(0)

  'HAMMAP Version prfen
  If ErrNr = 0 Then ErrNr = HMCheckVer("11.0")

  If ErrNr Then
    Call HMDisconnect
    Exit Sub
  End If

  ChDrive App.Path
  ChDir App.Path

  'Datei einlesen
  f$ = Command$
  'If Len(f$) = 0 Then f$ = "..\WINDAT\TOWNS-DL.DAT"
  Call LoadFile(f$)

  HmTown.Show
  HmTown.SetFocus

End Sub

Sub LoadFile(f$)

  If Len(f$) = 0 Then
    void = SetReadOnly(HmTown.TextField, False)
    HmTown.TextField.text = ""
    HmTown.Caption = "HmTown"
    gblAllowEdit = True
    Call ShowMsg("")
    Exit Sub
  End If

  ErrNr = LoadTextFile(f$, 65535, FileData$)

  If ErrNr Then
    HmTown.Caption = "HmTown"
    Exit Sub
  End If

  Call ParseFileSpec(f$, d$, p$, n$, e$)
  HmTown.Caption = "HmTown (" & Ucase16$(n$) & ")"

  With HmTown.TextField
    .text = ""
    On Error Resume Next
    .text = FileData$
    ErrNr = Err
    On Error GoTo 0

    If ErrNr Or Len(.text) = 0 Then
      AnzByt = 20000
      If AnzByt >= Len(FileData$) Then
        AnzByt = Len(FileDate$)
      Else
        AnzByt = InStr(AnzByt, FileData$, vbCrLf) - 1
        If AnzByt = 0 Then AnzByt = Len(FileDate$)
      End If
      .text = Left$(FileData$, AnzByt)
      '.Enabled = False
      gblAllowEdit = False
      void = SetReadOnly(HmTown.TextField, True)
      .ForeColor = &H808080
      ShowMsg "Daten knnen nicht bearbeitet werden"
    Else
      void = SetReadOnly(HmTown.TextField, False)
      '.Enabled = True
      .ForeColor = 0
      ShowMsg ""
      gblAllowEdit = True
    End If

    .Refresh
  End With

End Sub

Sub ShowMsg(t$)

  HmTown.StatusBox.text = " " & t$

End Sub

Sub ShowOneTown()

  With HmTown.TextField
    Towns$ = .text

    'Find begin
    Pt1 = .SelStart + 1
    LF$ = Chr$(10)
    Do Until Pt1 = 1
      If Mid$(Towns$, Pt1 - 1, 1) = LF$ Then Exit Do
      Pt1 = Pt1 - 1
    Loop

    'Find end
    Pt2 = .SelStart + .SelLength - 1
    c$ = Mid$(Towns$, Pt2, 2)
    If c$ <> vbCrLf Then
      Pt2 = InStr(Pt2, Towns$, vbCrLf)
      If Pt2 = 0 Then Pt2 = Len(Towns$) + 1
    End If

    t$ = Mid$(Towns$, Pt1, Pt2 - Pt1)
    Call ShowTowns(True, False, t$)

  End With

End Sub

Sub ShowTowns(ShowAll, DeleteTowns, TownData$)

  Dim lMapArea As lAreaType

  ShowNames = HmTown.pdmnuDisplay(5).Checked

  'Ausschnittskoordinaten bestimmen
  ErrNr = HMCommand("GetCoord", c$)
  If ErrNr Then Exit Sub

  Screen.MousePointer = 11

  ErrNr = Str2lArea(c$, lMapArea)

  If Len(TownData$) = 0 Then
    If gblAllowEdit Then
      Towns$ = HmTown.TextField.text
    Else
      Towns$ = FileData$
    End If
  Else
    Towns$ = TownData$
  End If

  Call ShowMsg("")

  If DeleteTowns Then
    ErrNr = HMCommand("Overlay:-1", Res$)
    ErrNr = HMCommand("Overlay:-2", Res$)
  End If
  ErrNr = HMCommand("Overlay:1", Res$)

  CmdLst$ = ""

  Do Until Len(Towns$) = 0
    't$ = Naechster Ort
    t$ = Parse$(Towns$, vbCrLf)
    If Len(t$) > 0 And Left$(t$, 1) <> ";" Then
      'n$=Ortsname, l$=Land/Staat
      l$ = Parse$(t$, ":")
      n$ = Parse$(l$, ",")

      c$ = UCase$(Left$(t$, 1))
      If c$ >= "A" And c$ <= "Z" Then
        'Locator
        Qth$ = UCase$(Parse$(t$, ","))
        ErrNr = Qth2lMsecCoord(Qth$, x&, y&)
        x& = x& / 1000
        y& = x& / 1000
        'ErrNr = QthToGeo(Qth$, x!, y!)
      Else
        'Koordinaten
        ErrNr = Str2dDegCoord(Parse$(t$, ","), xc#, 2)
        x& = xc# * 3600
        If ErrNr = 0 Then
          ErrNr = Str2dDegCoord(Parse$(t$, ","), yc#, 1)
          y& = yc# * 3600
        End If
      End If

      'Farbe
      Col$ = Parse$(t$, ",")

      'Symbol
      If Len(t$) = 0 Then
        Sym$ = "4"
      Else
        Sym$ = t$
      End If

      'Prfen, ob Ort im aktuellen Ausschnitt
      If ErrNr = 0 Then
        If ShowAll Then
          ShowOk = True
        Else
          ShowOk = PointInLArea(x&, y&, lMapArea)
        End If
        If ShowOk Then
          'Cmd$ = Str$(x!) & "," & Str$(y!) & ","
          Cmd$ = Unformat$(lSecCoord2StrEx$(x&, 1)) & ","
          Cmd$ = Cmd$ & Unformat$(lSecCoord2StrEx$(y&, 1)) & ","
          Cmd$ = Cmd$ & Col$ & "," & Sym$
          If ShowNames Then Cmd$ = Cmd$ & "," & n$
          CmdLst$ = CmdLst$ & vbCrLf & "DrawSymbol:" & Cmd$


          Shown = Shown + 1
        End If
      End If
    End If
  Loop

  If Len(CmdLst$) > 2 Then
    void = HMCommand(Mid$(CmdLst$, 3), Res$)
  End If

  ErrNr = HMCommand("Overlay:0", Res$)
  ErrNr = HMCommand("DrawMap", Res$)

  If Shown = 1 Then m$ = " Stadt" Else m$ = " Stdte"
  Call ShowMsg(Format$(Shown) & m$)

  HmTown.TextField.SetFocus

  Screen.MousePointer = 0

End Sub

