VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "HAMMAP"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
DefInt A-Z

Dim iClientNr As Integer

'Properties
Dim objCallback As Object
Dim iNotifyMask As Integer
Dim strClientName As String

'Events
Public Event Terminate()
Public Event Notify(EventNr As Integer, EventData As String)

Friend Sub TerminateEvent()

  'Call ShowOle("Terminate-Event")

  RaiseEvent Terminate

End Sub

Friend Sub NotifyEvent(EventNr As Integer, EventData As String)

  Call ShowOle("Notify-Event " & CStr(EventNr) & ": " & EventData)

  RaiseEvent Notify(EventNr, EventData)

End Sub

Public Function Action(CmdStr$) As String

  Dim Result$, m$, ErrNr

  Call ShowOle("Command: " & CmdStr$)

  ErrNr = ServerCommand(True, CmdStr$, strClientName, Result$)

  If ErrNr = 0 Then

    Call ShowOle("Result: " & Result$)
    Action = Result$

  Else

    'ErrNr -4 = Msg$(25106) = "Invalid Command"
    m$ = Msg$(25110 + ErrNr)
    Call ShowOle("Error: " & m$)
    Err.Raise Number:=(vbObjectError + 1004 + ErrNr), _
      Source:="HAMMAP", Description:=m$
    'No return from Err.Raise statement

  End If

End Function

Private Sub Class_Initialize()

  If gcolClients.Count = 0 Then gClientNr = 0
  gClientNr = gClientNr + 1           'global counter
  iClientNr = gClientNr               'class variable
  strClientName = "OLE-Client" & Str$(iClientNr)

  Call ShowOle("Class-Initialize")

  gcolClients.Add Me, CStr(gClientNr)

End Sub

Private Sub Class_Terminate()

  Call ShowOle("Class-Terminate")

End Sub

Public Sub Disconnect()

  Call ShowOle("Disconnect")

  On Error Resume Next
  HV.FriendOLE = True
  gcolClients.Remove CStr(Me.ClientNr)
  HV.FriendOLE = False
  On Error GoTo 0

End Sub

Private Sub OleRaiseError(ErrNr)

End Sub

Private Sub ShowOle(ByVal m$)

  If Not HV.FriendOLE Then
    If GV.DesignMode And (NumPar(35).Actual And 4096) <> 0 Then
      m$ = "#" & CStr(iClientNr) & " (" & strClientName & "): " & m$
      Call AppendTextForm(m$ & vbCrLf)
    End If
  End If

End Sub

Public Property Get Station() As String

  Dim m$

  m$ = DdeSource.Station.Caption

  Call ShowOle("Get Station: " & m$)

  Station = m$

End Property

Public Property Let Station(vNewValue As String)

  Dim Result$

  Call ShowOle("Set Station: " & vNewValue)

  Result$ = Action("SelStn:" & vNewValue)

End Property

Public Property Get Ready() As Integer

  Dim State

  If HV.StartupComplete Then
    State = Not HV.HMDisabled
  Else
    State = False
  End If

  Call ShowOle("Get Ready: " & CStr(State))

  Ready = State

End Property

Public Property Let Ready(vNewValue As Integer)

End Property

Public Property Get ClientNr() As Integer

  Call ShowOle("Get Client-Nr.: " & CStr(iClientNr))

  ClientNr = iClientNr

End Property

Public Property Let ClientNr(vNewValue As Integer)

End Property

Public Property Get CallbackObject() As Object

  Call ShowOle("Get Callback-Object")

  Set CallbackObject = objCallback

End Property

Public Property Set CallbackObject(objNewCallbackObj As Object)

  Call ShowOle("Set Callback-Object")

  Set objCallback = objNewCallbackObj

End Property

Public Property Get CallbackMask() As Integer

  Call ShowOle("Get Callback-Mask: " & CStr(iNotifyMask))

  CallbackMask = iNotifyMask

End Property

Public Property Let CallbackMask(vNewValue As Integer)

  iNotifyMask = vNewValue

  Call ShowOle("Set Callback-Mask: " & CStr(iNotifyMask))

End Property

Public Property Get ClientName() As String

  Call ShowOle("Get Client-Name: " & strClientName)

  ClientName = strClientName

End Property

Public Property Let ClientName(vNewValue As String)

  strClientName = vNewValue

  Call ShowOle("Set Client-Name: " & strClientName)

End Property

