VERSION 5.00
Object = "{B16553C3-06DB-101B-85B2-0000C009BE81}#1.0#0"; "SPIN32.OCX"
Begin VB.Form PageSetupForm 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "PageSetupForm"
   ClientHeight    =   3750
   ClientLeft      =   615
   ClientTop       =   1650
   ClientWidth     =   6735
   ControlBox      =   0   'False
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   3750
   ScaleWidth      =   6735
   Begin VB.CheckBox ColorOpt 
      Caption         =   "ColorOpt"
      Height          =   255
      Left            =   4800
      TabIndex        =   8
      Top             =   3120
      Width           =   1215
   End
   Begin VB.OptionButton OrientOption 
      Caption         =   "Landscape"
      Height          =   255
      Index           =   2
      Left            =   4800
      TabIndex        =   6
      Top             =   2520
      Width           =   1935
   End
   Begin VB.OptionButton OrientOption 
      Caption         =   "Portrait"
      Height          =   255
      Index           =   1
      Left            =   4800
      TabIndex        =   5
      Top             =   2160
      Width           =   1815
   End
   Begin VB.PictureBox Pict 
      Appearance      =   0  'Flat
      Height          =   1335
      Left            =   4800
      ScaleHeight     =   1305
      ScaleWidth      =   1065
      TabIndex        =   4
      Top             =   360
      Width           =   1095
   End
   Begin Spin.SpinButton Spn 
      Height          =   375
      Index           =   1
      Left            =   3960
      TabIndex        =   7
      Top             =   360
      Width           =   255
      _Version        =   65536
      _ExtentX        =   2646
      _ExtentY        =   1323
      _StockProps     =   73
   End
   Begin VB.CommandButton Cmd 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   495
      Index           =   1
      Left            =   3000
      TabIndex        =   3
      Top             =   3000
      Width           =   1215
   End
   Begin VB.CommandButton Cmd 
      Caption         =   "Ok"
      Default         =   -1  'True
      Height          =   495
      Index           =   0
      Left            =   840
      TabIndex        =   2
      Top             =   3000
      Width           =   1215
   End
   Begin VB.TextBox Txt 
      Height          =   375
      Index           =   1
      Left            =   3000
      TabIndex        =   0
      Top             =   360
      Width           =   975
   End
   Begin VB.Label InputLabel 
      Caption         =   "InputLabel"
      Height          =   375
      Index           =   1
      Left            =   360
      TabIndex        =   1
      Top             =   360
      Width           =   2175
   End
End

Attribute VB_Name = "PageSetupForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
DefInt A-Z

Dim PaintFlag

Private Sub Cmd_Click(Index As Integer)

  PageSetupForm.Tag = Format$(Index)
  PageSetupForm.Hide
  PaintFlag = False

End Sub

Private Sub ColorOpt_Click()

  void = ShowMon(False)

End Sub

Private Sub ColorOpt_KeyPress(KeyAscii As Integer)

  void = ShowMon(False)

End Sub

Private Sub Form_Paint()

  If Not PaintFlag Then
    PaintFlag = True
    Txt(1).SetFocus
  End If

  void = ShowMon(False)

End Sub

Private Sub OrientOption_Click(Index As Integer)

  If Not HV.PrtSetupProgChange Then
    NumPar(43).Actual = Index - 1
    void = ShowMon(False)
  End If

End Sub

Private Function ShowMon(Test)

  'Monitorausgabe fuer Druckseite mit Raendern

  If HV.PrtSetupProgChange Then Exit Function

  'Pict.BackColor = &H80000005

  Pict.BackColor = &HFFFFFF
  If ColorOpt.Value = 1 Then
    Pict.FillColor = &HFF00&
  Else
    Pict.FillColor = &HC0C0C0
    'Pict.FillColor = &H8000000F
  End If
  Pict.FillStyle = 0     'Solid

  Printer.ScaleMode = 7

  prtw! = Printer.ScaleWidth
  prth! = Printer.ScaleHeight
  PrtMax! = fMax(prtw!, prth!)      'lngere Seite
  PrtMin! = fMin(prtw!, prth!)      'krzere Seite

  If (NumPar(43).Actual And 1) = 0 Then
    'Hochformat
    pw! = PrtMin!
    ph! = PrtMax!
  Else
    'Querformat
    pw! = PrtMax!
    ph! = PrtMin!
  End If

  PictScale! = 1400 / PrtMax!
  Pict.Width = pw! * PictScale!
  Pict.Height = ph! * PictScale!
  Pict.Scale (0, 0)-(pw!, ph!)

  Pict.Cls

  x1! = sCtlVal(Txt(2))
  y1! = sCtlVal(Txt(1))
  x2! = x1! + sCtlVal(Txt(4))
  y2! = y1! + sCtlVal(Txt(3))

  ShowMon = x2! > pw! Or y2! > ph!

  If Not Test Then
    Pict.Line (x1!, y1!)-(x2!, y2!), , B
  End If

End Function

Private Sub SpinUpDown(Index As Integer, d As Single)

  Dim x As Single, OldX As Single

  OldX = sCtlVal(Txt(Index))
  x = (Int(2 * OldX) + d) / 2

  c1 = x * 1000! >= NumPar(Index + 12).Min
  c2 = x * 1000! <= NumPar(Index + 12).Max

  If c1 And c2 Then

    ErrNr = ShowMon(True)   'Werte prfen
    If ErrNr And d > 0 Then
      Beep    'Fehler
    Else
      HV.PrtSetupProgChange = True
      Txt(Index).text = Format$(x, "0.0")
      Txt(Index).Refresh
      HV.PrtSetupProgChange = False
    End If

    void = ShowMon(False)     'anzeigen

  End If

End Sub

Private Sub Spn_SpinDown(Index As Integer)

  Call SpinUpDown(Index, -1)

End Sub

Private Sub Spn_SpinUp(Index As Integer)

  Call SpinUpDown(Index, 1)

End Sub

Private Sub Txt_Change(Index As Integer)

  If Not HV.PrtSetupProgChange Then
    void = ShowMon(False)
  End If

End Sub

Private Sub Txt_KeyPress(Index As Integer, KeyAscii As Integer)

  d$ = Mid$(Format$(0, "0.0"), 2, 1)    'Decimal Point

  Select Case Chr$(KeyAscii)
  Case "0" To "9", d$, Chr$(8)
  Case Else
    KeyAscii = 0
    Beep
  End Select

End Sub

