Attribute VB_Name = "SYSLIB"
'--------------------------- SYSLIB.BAS ------------------------------

'HAMMAP System Subroutines

' Massnahmen um Floating-Point-Package fuer DOS Stand-Alone-Version zu vermeiden:
'   mit NOFLTIN.OBJ linken -> fuer INPUT Befehl
'   keine normale Division -> stattdessen Integer-Division '\'
'   keine INT und VAL Funktionen
'     In LoadMsg Funktion zum Lesen der MsgNr umschreiben mit ASC
'   Kein FORMAT$ Befehl -> stattdessen STR$


DefInt A-Z


  Declare Function GetDiskFreeSpace& Lib "kernel32" Alias "GetDiskFreeSpaceA" (ByVal lpRootPathName As String, lpSectorsPerCluster As Long, lpBytesPerSector As Long, lpNumberOfFreeClusters As Long, lpTotalNumberOfClusters As Long)
  Declare Function GetLastError& Lib "kernel32" ()

  Declare Function DiskSpaceFree Lib "VB5STKIT.DLL" Alias "DISKSPACEFREE" () As Long

Function GetDiskSpaceFree(DrivePath$, Free@)

  GetDiskSpaceFree = True
  If Len(DrivePath$) < 2 Then Exit Function

  Drive$ = Left$(DrivePath$, 2)


    Dim lpSectorsPerCluster As Long, lpBytesPerSector As Long, _
    lpNumberOfFreeClusters As Long, lpTotalNumberOfClusters As Long

    Ok& = GetDiskFreeSpace&(Drive$ & "\", lpSectorsPerCluster, lpBytesPerSector, _
      lpNumberOfFreeClusters, lpTotalNumberOfClusters)

    If Ok& Then
      Free@ = lpSectorsPerCluster * lpBytesPerSector * CCur(lpNumberOfFreeClusters)
      GetDiskSpaceFree = False
    Else
      GetDiskSpaceFree = GetLastError()
    End If



  GetDiskSpaceFree = ErrNr

End Function

