Attribute VB_Name = "VBDATA"
'----------------------- VBDATA_I.BAS ----------------------------------

'HAMMAP Globale Datendefinitionen

  DefInt A-Z

  '----- Version -----
  Public Const MajorVer$ = "11"
  Public Const MinorVer$ = "0"
  Public Const Version$ = "11.0b"
  Public Const ApiVer$ = "11.0"

  Public Const VBDOS = False
  Public Const VBWin16 = False
  Public Const VBWin32 = True
  Public Const sWinBits = "(32 Bit)"


  '--- System Constants ---

  Public Const DegChr = ""
  Public Const AnzHmApiEvents = 4

  Public Const TwipsPerInch = 1440
  Public Const PointsPerInch = 72


  '----- GDI Constants -----
  'Text Drawing Flags
  Public Const DT_LEFT = &H0
  Public Const DT_TOP = &H0
  Public Const DT_CENTER = &H1
  Public Const DT_RIGHT = &H2
  Public Const DT_WORDBREAK = &H10
  Public Const DT_SINGLELINE = &H20
  Public Const DT_EXPANDTABS = &H40
  Public Const DT_TABSTOP = &H80
  Public Const DT_NOCLIP = &H100
  Public Const DT_CALCRECT = &H400
  Public Const DT_NOPREFIX = &H800

  'Text Metrics Pitch and Family
  Public Const TMPF_FIXED_PITCH = 1
  Public Const TMPF_VECTOR = 2
  Public Const TMPF_DEVICE = 8
  Public Const TMPF_TRUETYPE = 4

  Public Const FLOODFILLBORDER& = 0

  Public Const CLR_INVALID& = &HFFFF


  '----- Map Constants ---
  Public Const CoHdrLen = 2
  Public Const CoRecLen = 4
  Public Const SgHdrLen = 7
  Public Const TxtHdrLen = 6

  Public Const cfDeg2Sec = 3600!
  Public Const clDeg2Sec = 3600&
  Public Const cfSec2Deg = 1# / 3600#

  Public Const clDeg2mSec = 60& * 60 * 1000
  Public Const cdMsec2Deg = 1# / clDeg2mSec

  Public Const cfQth2Sec = 75!
  Public Const clQth2Sec = 75&
  Public Const cfSec2Qth = 1! / 75!

  Public Const cfQth2Deg = 75! / 3600!
  Public Const cfDeg2Qth = 3600! / 75!  '48!

  Public Const clMaxDegX = 180& * 3600&
  Public Const clMaxDegY = 90& * 3600&


  Public Const Pi = 3.14159265358979    '= 180 Grad im Bogenmass = 4 * Atn(1)
  Public Const TwoPi = Pi * 2#          '= 360 Grad im Bogenmass = 8 * Atn(1)
  Public Const HalfPi = Pi / 2#         '= 90 Grad im Bogenmass  = 2 * Atn(1)
  Public Const deg2rad = Pi / 180#      '2*Pi/360   -> Gradmass -> Bogenmass
  Public Const rad2deg = 180# / Pi

  Public Const cfSec2Rad = deg2rad * cfSec2Deg

  'Erd-Radius (Erde als Kugel)
  '  Per Definition ist 1 Seemeile = 1.85228 km = 1 Bogenminute am Aequator
  Public Const EarthRad = 1.85228 * 360 * 60 / TwoPi         '= ca. 6367

  'Zeichenbereich fr QTH-Locator
  Public Const QthMinChr$ = "A0A0A0"
  Public Const QthMaxChr$ = "R9X9Y9"



  '--- Command Button Sizes ---
  Public Const CmdWidth = 1215            'Breite Command Button
  Public Const CmdHeight = 495            'Hoehe


  '--- Variables ---
  Public GV As GlobalVar

  Public ProgName$                        'Programm-Name
  Public Speak$                           'Sprache
  Public AppDir$                          'Application Directory
  Public HomeDir$                         'Home Directory
  Public MsgFile$                         'Nachrichten-Datei
  Public HlpFile$                         'Hilfe-Datei
  Public InParFile$                       'Parameter-Datei

  Public CmdFiles$()                      'Command-Line Files

  '------------------- Parameter ---------------------
  Public NumPar() As NumParType           'numerische Parameter
  Public StrPar() As String               'String-Parameter


  '------------------- Masken-Daten ---------------------
  Public MaskData() As String

